function error_disp(ERRORNUM,COLUMN,LINENO,LINEBUF,		temp_i,temp_disp,temp_spc,temp_ind) {
	temp_ind = ""
	for (temp_i = 1;temp_i <= length(LINEBUF[LINENO])+1;temp_i ++) {
		temp_ind = (temp_i == COLUMN) ? temp_ind "^" : temp_ind " "
	}
	temp_spc      = "                      "
	if        (ERRORNUM ==  1) {
		temp_disp = "Line is blank         "
	} else if (ERRORNUM ==  2) {
		temp_disp = "Not Found Line Number "
	} else if (ERRORNUM ==  3) {
		temp_disp = "Illigal Line Number   "
	} else if (ERRORNUM ==  4) {
		temp_disp = "Null Line             "
	} else if (ERRORNUM ==  5) {
		temp_disp = "Illigal Command       "
	} else if (ERRORNUM ==  6) {
		temp_disp = "Rare Command          "
	} else if (ERRORNUM ==  7) {
		temp_disp = "Illigal Parameter     "
	} else if (ERRORNUM ==  8) {
		temp_disp = "Not Found Parameter   "
	} else if (ERRORNUM ==  9) {
		temp_disp = "Type Mismatch         "
	} else if (ERRORNUM == 10) {
		temp_disp = "Illigal Value         "
	} else if (ERRORNUM == 11) {
		temp_disp = "Illigal Strings       "
	} else if (ERRORNUM == 12) {
		temp_disp = "Not Found Comma       "
	} else if (ERRORNUM == 13) {
		temp_disp = "Too Many Parameter    "
	} else if (ERRORNUM == 14) {
		temp_disp = "Not Found ()          "
	} else if (ERRORNUM == 15) {
		temp_disp = "Too Long Value Name   "
	} else if (ERRORNUM == 16) {
		temp_disp = "Not Found THEN        "
	} else if (ERRORNUM == 17) {
		temp_disp = "Not Found GOTO/GOSUB  "
	} else if (ERRORNUM == 18) {
		temp_disp = "Not Found Equal       "
	} else if (ERRORNUM == 19) {
		temp_disp = "Not Found TO          "
	} else if (ERRORNUM == 20) {
		temp_disp = "Value Name is I or O  "
	} else {
		temp_disp = "ILLIGAL PROGRAM !!!   "
	}
	printf("%2d:%s:%5d:%s\n",ERRORNUM,temp_disp,LINENO,LINEBUF[LINENO])
	printf("   %s       %s\n",temp_spc,temp_ind)
	return
}

function error_break(DATABUF) {
	if (match(DATABUF,/:/) != 0) {
		return (RSTART - 1)
	} else {
		return length(DATABUF)
	}
}

function valsub(VALNAME,VALCOUNT,VALDIM,VALDIMCNT,	temp_i,temp_flag) {
	if (VALNAME == "I" || VALNAME == "O") {
		error_disp(20,linecolumn,line,linebuf_org)
	}
	temp_flag = 0
	for (temp_i = 1;temp_i <= VALCOUNT;temp_i ++) {
		if (VALDIM[temp_i] == VALNAME) {
			VALDIMCNT[temp_i] ++
			temp_flag = 1
			break
		}
	}
	if (temp_flag == 0) {
		VALCOUNT ++
		VALDIM[VALCOUNT] = VALNAME
		VALDIMCNT[VALCOUNT] = 1
	}
	return VALCOUNT
}

function linenumsub(LINENUMNAME,LINENUMCOUNT,LINENUMDIM) {
	LINENUMCOUNT ++
	LINENUMDIM[LINENUMCOUNT] = LINENUMNAME
	return LINENUMCOUNT
}

function valuefunc(DATABUF,RVAL) {
	if        (match(DATABUF,/^STICK/)  != 0) {
		RVAL[1] = "STICK";	RVAL[2] = "l"
	} else if (match(DATABUF,/^STRIG/)  != 0) {
		RVAL[1] = "STRIG";	RVAL[2] = "l"
	} else if (match(DATABUF,/^TIME/)   != 0) {
		RVAL[1] = "TIME";	RVAL[2] = ""
	} else if (match(DATABUF,/^ABS/)    != 0) {
		RVAL[1] = "ABS";	RVAL[2] = "l"
	} else if (match(DATABUF,/^ASC/)    != 0) {
		RVAL[1] = "ASC";	RVAL[2] = ""
	} else if (match(DATABUF,/^COS/)    != 0) {
		RVAL[1] = "COS";	RVAL[2] = "l"
	} else if (match(DATABUF,/^CSRLIN/) != 0) {
		RVAL[1] = "CSRLIN";	RVAL[2] = ""
	} else if (match(DATABUF,/^EXP/)    != 0) {
		RVAL[1] = "EXP";	RVAL[2] = "l"
	} else if (match(DATABUF,/^INP/)    != 0) {
		RVAL[1] = "INP";	RVAL[2] = "l"
	} else if (match(DATABUF,/^INT/)    != 0) {
		RVAL[1] = "INT";	RVAL[2] = "l"
	} else if (match(DATABUF,/^LEN/)    != 0) {
		RVAL[1] = "LEN";	RVAL[2] = ""
	} else if (match(DATABUF,/^LOG/)    != 0) {
		RVAL[1] = "LOG";	RVAL[2] = "l"
	} else if (match(DATABUF,/^LPOS/)   != 0) {
		RVAL[1] = "LPOS";	RVAL[2] = "l"
	} else if (match(DATABUF,/^POS/)   != 0) {
		RVAL[1] = "POS";	RVAL[2] = "l"
	} else if (match(DATABUF,/^PEEK/)   != 0) {
		RVAL[1] = "PEEK";	RVAL[2] = "l"
	} else if (match(DATABUF,/^RND/)    != 0) {
		RVAL[1] = "RND";	RVAL[2] = "l"
	} else if (match(DATABUF,/^SGN/)    != 0) {
		RVAL[1] = "SGN";	RVAL[2] = "l"
	} else if (match(DATABUF,/^SIN/)    != 0) {
		RVAL[1] = "SIN";	RVAL[2] = "l"
	} else if (match(DATABUF,/^SQR/)    != 0) {
		RVAL[1] = "SQR";	RVAL[2] = "l"
	} else if (match(DATABUF,/^TAN/)    != 0) {
		RVAL[1] = "TAN";	RVAL[2] = "l"
	} else if (match(DATABUF,/^USR/)    != 0) {
		RVAL[1] = "USR";	RVAL[2] = "l"
	} else if (match(DATABUF,/^VAL/)    != 0) {
		RVAL[1] = "VAL";	RVAL[2] = ""
	} else if (match(DATABUF,/^POINT/)  != 0) {
		RVAL[1] = "POINT";	RVAL[2] = "ll"
	} else if (match(DATABUF,/^SCREEN/)  != 0) {
		RVAL[1] = "SCREEN";	RVAL[2] = "ll"
	} else {
		RVAL[1] = "";		RVAL[2] = ""
	}
	return RVAL[1]
}

function stringfunc(DATABUF	,RVAL) {
	if        (match(DATABUF,/^CHR\$/)   != 0) {
		RVAL[1] = "CHR$";	RVAL[2] = "l"
	} else if (match(DATABUF,/^INKEY\$/) != 0) {
		RVAL[1] = "INKEY$";	RVAL[2] = ""
	} else if (match(DATABUF,/^HEX\$/) != 0) {
		RVAL[1] = "HEX$";	RVAL[2] = "l"
	} else if (match(DATABUF,/^LEFT\$/)  != 0) {
		RVAL[1] = "LEFT$";	RVAL[2] = "l"
	} else if (match(DATABUF,/^MID\$/)   != 0) {
		RVAL[1] = "MID$";	RVAL[2] = "ll"
	} else if (match(DATABUF,/^RIGHT\$/) != 0) {
		RVAL[1] = "RIGHT$";	RVAL[2] = "l"
	} else if (match(DATABUF,/^SPC/)     != 0) {
		RVAL[1] = "SPC";	RVAL[2] = "l"
	} else if (match(DATABUF,/^STR\$/)   != 0) {
		RVAL[1] = "STR$";	RVAL[2] = "l"
	} else if (match(DATABUF,/^TAB/)     != 0) {
		RVAL[1] = "TAB";	RVAL[2] = "l"
	} else {
		RVAL[1] = "";		RVAL[2] = ""
	}
	return RVAL[1]
}

function valuecalc(DATABUF) {
	if        (match(DATABUF,/^AND/) != 0) {
		return "AND"
	} else if (match(DATABUF,/^OR/)  != 0) {
		return "OR"
	} else if (match(DATABUF,/^<>/)  != 0) {
		return "<>"
	} else if (match(DATABUF,/^></)  != 0) {
		return "><"
	} else if (match(DATABUF,/^>=/)  != 0) {
		return ">="
	} else if (match(DATABUF,/^=>/)  != 0) {
		return "=>"
	} else if (match(DATABUF,/^<=/)  != 0) {
		return "<="
	} else if (match(DATABUF,/^=</)  != 0) {
		return "=<"
	} else if (match(DATABUF,/^=/)   != 0) {
		return "="
	} else if (match(DATABUF,/^>/)   != 0) {
		return ">"
	} else if (match(DATABUF,/^</)   != 0) {
		return "<"
	} else if (match(DATABUF,/^\^/)  != 0) {
		return "^"
	} else if (match(DATABUF,/^-/)   != 0) {
		return "-"
	} else if (match(DATABUF,/^\*/)  != 0) {
		return "*"
	} else if (match(DATABUF,/^+/)   != 0) {
		return "+"
	} else if (match(DATABUF,/^\//)  != 0) {
		return "/"
	} else {
		return ""
	}
}

function valuecmdcalc(DATABUF) {
	if        (match(DATABUF,/^AND/) != 0) {
		return "AND"
	} else if (match(DATABUF,/^OR/)  != 0) {
		return "OR"
	} else {
		return ""
	}
}

function valuesinglecalc(DATABUF) {
	if        (match(DATABUF,/^NOT/) != 0) {
		return "NOT"
	} else if (match(DATABUF,/^-/)   != 0) {
		return "-"
	} else if (match(DATABUF,/^+/)   != 0) {
		return "+"
	} else {
		return ""
	}
}

function strcmpcalc(DATABUF) {
	if        (match(DATABUF,/^<>/)  != 0) {
		return "<>"
	} else if (match(DATABUF,/^></)  != 0) {
		return "><"
	} else if (match(DATABUF,/^>=/)  != 0) {
		return ">="
	} else if (match(DATABUF,/^=>/)  != 0) {
		return "=>"
	} else if (match(DATABUF,/^<=/)  != 0) {
		return "<="
	} else if (match(DATABUF,/^=</)  != 0) {
		return "=<"
	} else if (match(DATABUF,/^=/)   != 0) {
		return "="
	} else if (match(DATABUF,/^>/)   != 0) {
		return ">"
	} else if (match(DATABUF,/^</)   != 0) {
		return "<"
	} else {
		return ""
	}
}

function strcalc(DATABUF) {
	if        (match(DATABUF,/^+/)   != 0) {
		return "+"
	} else {
		return ""
	}
}

function resmatch(DATABUF,	temp_ret) {
	temp_ret = 999
	if (match(DATABUF,/END|FOR|NEXT|DATA|INPUT|DIM|READ|LET/) != 0)				# 80-87
		if (RSTART < temp_ret) temp_ret = RSTART
	if (match(DATABUF,/GOTO|RUN|IF|RESTORE|GOSUB|RETURN|REM|STOP/) != 0)		# 8C-8F
		if (RSTART < temp_ret) temp_ret = RSTART
	if (match(DATABUF,/OUT|ON|LPRINT|DEF|POKE|PRINT|CONT|LIST/) != 0)			# 90-97
		if (RSTART < temp_ret) temp_ret = RSTART
	if (match(DATABUF,/LLIST|CLEAR|COLOR|PSET|PRESET|LINE|PAINT|SCREEN/) != 0)	# 98-9F
		if (RSTART < temp_ret) temp_ret = RSTART
	if (match(DATABUF,/CLS|LOCATE|CONSOLE|CLOAD|CSAVE|EXEC|SOUND|PLAY/) != 0)	# A0-A7
		if (RSTART < temp_ret) temp_ret = RSTART
	if (match(DATABUF,/KEY|LCOPY|NEW/) != 0)									# A8-AA
		if (RSTART < temp_ret) temp_ret = RSTART
	if (match(DATABUF,/TAB|TO|FN|SPC|INKEY|THEN/) != 0)							# C2-C7
		if (RSTART < temp_ret) temp_ret = RSTART
	if (match(DATABUF,/NOT|STEP|AND/) != 0)										# C8-CF
		if (RSTART < temp_ret) temp_ret = RSTART
	if (match(DATABUF,/OR|SGN|INT|ABS|USR/) != 0)								# D0-D7
		if (RSTART < temp_ret) temp_ret = RSTART
	if (match(DATABUF,/FRE|INP|LPOS|POS|SQR|RND|LOG|EXP/) != 0)					# D8-DF
		if (RSTART < temp_ret) temp_ret = RSTART
	if (match(DATABUF,/COS|SIN|TAN|PEEK|LEN|HEX|STR|VAL/) != 0)					# E0-E7
		if (RSTART < temp_ret) temp_ret = RSTART
	if (match(DATABUF,/ASC|CHR|LEFT|RIGHT|MID|POINT|CSRLIN|STICK/) != 0)		# E8-EF
		if (RSTART < temp_ret) temp_ret = RSTART
	if (match(DATABUF,/STRIG|TIME/) != 0)										# F0-F1
		if (RSTART < temp_ret) temp_ret = RSTART
	if (temp_ret == 999) temp_ret = 0
	return temp_ret
}

function isvalue(DATABUF) {
	if (match(DATABUF,/^"/) != 0) {								# 
		return ""
	} else if (stringfunc(DATABUF,rval) != "") {				# ֐
		return ""
	} else if (match(DATABUF,/^[A-Z][A-Z0-9]*\$/) != 0) {		# ϐ
		if (resmatch(DATABUF) == 1) {
			return "G["
		} else {
			return ""
		}
	} else if (match(DATABUF,/^[0-9.]/) != 0) {					# l(10i)
		return "l"
	} else if (match(DATABUF,/^&[hH]/) != 0) {					# l(16i)
		return "l"
	} else if (valuefunc(DATABUF,rval) != "") {					# l֐
		return "l"
	} else if (match(DATABUF,/^FN/) != 0) {						# FNϐ
		return "l"
	} else if (valuesinglecalc(DATABUF) != "") {				# PZq
		return "l"
	} else if (match(DATABUF,/^[A-Z][A-Z0-9]*/) != 0) {			# l֐
		if (resmatch(DATABUF) == 1) {
			return "G["
		} else {
			return "l"
		}
	} else if (match(DATABUF,/^\(/) != 0) {						# ( ̏
		if (match(DATABUF,/^\( *\(/) != 0) {					# ( ( ̏
			return "l"
		} else {
			match(DATABUF,/^\( */)
			DATABUF = substr(DATABUF,RLENGTH+1)
			return isvalue(DATABUF)
		}
	} else {
		return "G["
	}
}


BEGIN {
	lineno = 1
	FS = ""
	valcnt = 0
	linenumcnt = 0
}

{
	linebuf_org[lineno] = $0
# 󔒍s`FbN
	if (match(linebuf_org[lineno],/^[ 	]*$/) == 1) {
		error_disp(1,1,lineno,linebuf_org)

# sԍ؂o
	} else if (match(linebuf_org[lineno],/^[^ ]+ +/) == 0) {
		error_disp(2,1,lineno,linebuf_org)
	} else {
		linenum[lineno] = substr(linebuf_org[lineno],RSTART,RLENGTH)
		linebuf[lineno] = substr(linebuf_org[lineno],RSTART+RLENGTH)
		linecolumnbuf[lineno] = RLENGTH+1
		sub(/ +/,"",linenum[lineno])

# sԍ`FbN
		if (linenum[lineno] !~ /^[0-9]+$/) {
			error_disp(3,match(linenum[lineno],/[^0-9]/),lineno,linebuf_org)
			linenum[lineno] = ""
		} else if (match(linenum[lineno],/^00/) != 0) {
			error_disp(3,1,lineno,linebuf_org)
			linenum[lineno] = ""
		} else if (lineno >= 2) {
			if (linenum[lineno-1] != "" && (0+linenum[lineno]) <= (0+linenum[lineno-1]) ) {
				error_disp(3,1,lineno,linebuf_org)
				linenum[lineno] = ""
			}
		}
		if (linenum[lineno] != "") {
			linenumcnt = linenumsub(linenum[lineno],linenumcnt,linenumreg)
		}

# s`FbN
		if (linebuf[lineno] == "") {
			error_disp(4,linecolumnbuf[lineno]-1,lineno,linebuf_org)
		}
		sub(/$/,":",linebuf[lineno])
	}

	lineno ++
}

END {
	lineno --
	printf("Lines:%d\n",lineno)
	for(line = 1;line <= lineno;line ++) {

# C[v
		for (i = 1;i <= 30;i ++) {
			cmd[i] = ""
			cmdnum[i] = ""
		}
		cmdnest = 0
		linecolumn = linecolumnbuf[line]
		while (linebuf[line] != "") {

			if (cmdnest == 0) {
# R}h؂o

				if (match(linebuf[line],/^[: ]+/) != 0) {
# 󔒁AR폜
					linebuf[line] = substr(linebuf[line],RSTART+RLENGTH)
					linecolumn = linecolumn + RLENGTH
				}


				if (linebuf[line] == "") {
					break;
				}

# eR}h
				if        (match(linebuf[line],/^RESTORE/) == 1) {
					commandlength = RLENGTH;cmdnest = 1;cmdnum[1] = 1;cmd[1] = "RESTORE"
				} else if (match(linebuf[line],/^CONSOLE/) == 1) {
					commandlength = RLENGTH;cmdnest = 1;cmdnum[1] = 1;cmd[1] = "CONSOLE"
				} else if (match(linebuf[line],/^RETURN/ ) == 1) {
					commandlength = RLENGTH;cmdnest = 1;cmdnum[1] = 1;cmd[1] = "RETURN"
				} else if (match(linebuf[line],/^LPRINT/ ) == 1) {
					commandlength = RLENGTH;cmdnest = 1;cmdnum[1] = 1;cmd[1] = "LPRINT"
					error_disp(6,linecolumn,line,linebuf_org)
				} else if (match(linebuf[line],/^PRESET/ ) == 1) {
					commandlength = RLENGTH;cmdnest = 1;cmdnum[1] = 1;cmd[1] = "PRESET"
				} else if (match(linebuf[line],/^SCREEN/ ) == 1) {
					commandlength = RLENGTH;cmdnest = 1;cmdnum[1] = 1;cmd[1] = "SCREEN"
				} else if (match(linebuf[line],/^LOCATE/ ) == 1) {
					commandlength = RLENGTH;cmdnest = 1;cmdnum[1] = 1;cmd[1] = "LOCATE"
				} else if (match(linebuf[line],/^GOSUB/  ) == 1) {
					commandlength = RLENGTH;cmdnest = 1;cmdnum[1] = 1;cmd[1] = "GOSUB"
				} else if (match(linebuf[line],/^INPUT/  ) == 1) {
					commandlength = RLENGTH;cmdnest = 1;cmdnum[1] = 1;cmd[1] = "INPUT"
				} else if (match(linebuf[line],/^PRINT/  ) == 1) {
					commandlength = RLENGTH;cmdnest = 1;cmdnum[1] = 1;cmd[1] = "PRINT"
				} else if (match(linebuf[line],/^CLEAR/  ) == 1) {
					commandlength = RLENGTH;cmdnest = 1;cmdnum[1] = 1;cmd[1] = "CLEAR"
				} else if (match(linebuf[line],/^COLOR/  ) == 1) {
					commandlength = RLENGTH;cmdnest = 1;cmdnum[1] = 1;cmd[1] = "COLOR"
				} else if (match(linebuf[line],/^PAINT/  ) == 1) {
					commandlength = RLENGTH;cmdnest = 1;cmdnum[1] = 1;cmd[1] = "PAINT"
				} else if (match(linebuf[line],/^CLOAD/  ) == 1) {
					commandlength = RLENGTH;cmdnest = 1;cmdnum[1] = 1;cmd[1] = "CLOAD"
				} else if (match(linebuf[line],/^CSAVE/  ) == 1) {
					commandlength = RLENGTH;cmdnest = 1;cmdnum[1] = 1;cmd[1] = "CSAVE"
				} else if (match(linebuf[line],/^SOUND/  ) == 1) {
					commandlength = RLENGTH;cmdnest = 1;cmdnum[1] = 1;cmd[1] = "SOUND"
				} else if (match(linebuf[line],/^NEXT/   ) == 1) {
					commandlength = RLENGTH;cmdnest = 1;cmdnum[1] = 1;cmd[1] = "NEXT"
				} else if (match(linebuf[line],/^DATA/   ) == 1) {
					commandlength = RLENGTH;cmdnest = 1;cmdnum[1] = 1;cmd[1] = "DATA"
				} else if (match(linebuf[line],/^READ/   ) == 1) {
					commandlength = RLENGTH;cmdnest = 1;cmdnum[1] = 1;cmd[1] = "READ"
				} else if (match(linebuf[line],/^GOTO/   ) == 1) {
					commandlength = RLENGTH;cmdnest = 1;cmdnum[1] = 1;cmd[1] = "GOTO"
				} else if (match(linebuf[line],/^STOP/   ) == 1) {
					commandlength = RLENGTH;cmdnest = 1;cmdnum[1] = 1;cmd[1] = "STOP"
					error_disp(6,linecolumn,line,linebuf_org)
				} else if (match(linebuf[line],/^POKE/   ) == 1) {
					commandlength = RLENGTH;cmdnest = 1;cmdnum[1] = 1;cmd[1] = "POKE"
				} else if (match(linebuf[line],/^PSET/   ) == 1) {
					commandlength = RLENGTH;cmdnest = 1;cmdnum[1] = 1;cmd[1] = "PSET"
				} else if (match(linebuf[line],/^LINE/   ) == 1) {
					commandlength = RLENGTH;cmdnest = 1;cmdnum[1] = 1;cmd[1] = "LINE"
				} else if (match(linebuf[line],/^EXEC/   ) == 1) {
					commandlength = RLENGTH;cmdnest = 1;cmdnum[1] = 1;cmd[1] = "EXEC"
				} else if (match(linebuf[line],/^PLAY/   ) == 1) {
					commandlength = RLENGTH;cmdnest = 1;cmdnum[1] = 1;cmd[1] = "PLAY"
				} else if (match(linebuf[line],/^END/    ) == 1) {
					commandlength = RLENGTH;cmdnest = 1;cmdnum[1] = 1;cmd[1] = "END"
				} else if (match(linebuf[line],/^FOR/    ) == 1) {
					commandlength = RLENGTH;cmdnest = 1;cmdnum[1] = 1;cmd[1] = "FOR"
				} else if (match(linebuf[line],/^DIM/    ) == 1) {
					commandlength = RLENGTH;cmdnest = 1;cmdnum[1] = 1;cmd[1] = "DIM"
				} else if (match(linebuf[line],/^LET/    ) == 1) {
					commandlength = RLENGTH;cmdnest = 1;cmdnum[1] = 1;cmd[1] = "LET"
				} else if (match(linebuf[line],/^RUN/    ) == 1) {
					commandlength = RLENGTH;cmdnest = 1;cmdnum[1] = 1;cmd[1] = "RUN"
					error_disp(6,linecolumn,line,linebuf_org)
				} else if (match(linebuf[line],/^REM/    ) == 1) {
					commandlength = RLENGTH;cmdnest = 1;cmdnum[1] = 1;cmd[1] = "REM"
					linebuf[line] = ""
				} else if (match(linebuf[line],/^OUT/    ) == 1) {
					commandlength = RLENGTH;cmdnest = 1;cmdnum[1] = 1;cmd[1] = "OUT"
				} else if (match(linebuf[line],/^DEF/    ) == 1) {
					commandlength = RLENGTH;cmdnest = 1;cmdnum[1] = 1;cmd[1] = "DEF"
				} else if (match(linebuf[line],/^CLS/    ) == 1) {
					commandlength = RLENGTH;cmdnest = 1;cmdnum[1] = 1;cmd[1] = "CLS"
				} else if (match(linebuf[line],/^KEY/    ) == 1) {
					commandlength = RLENGTH;cmdnest = 1;cmdnum[1] = 1;cmd[1] = "KEY"
				} else if (match(linebuf[line],/^IF/     ) == 1) {
					commandlength = RLENGTH;cmdnest = 1;cmdnum[1] = 1;cmd[1] = "IF"
				} else if (match(linebuf[line],/^ON/     ) == 1) {
					commandlength = RLENGTH;cmdnest = 1;cmdnum[1] = 1;cmd[1] = "ON"
				} else if (match(linebuf[line],/^[A-Z][A-Z0-9]*/) != 0) {
					commandlength = 0;cmdnest = 1;cmdnum[1] = 1;cmd[1] = "LET"
				} else {
					error_disp(5,linecolumn,line,linebuf_org)
					commandlength = error_break(linebuf[line]);cmdnest = 0
				}

			} else {
# Qiڈȍ~

				if (match(linebuf[line],/^ +/) != 0) {						# 󔒍폜
					linebuf[line] = substr(linebuf[line],RSTART+RLENGTH)
					linecolumn = linecolumn + RLENGTH
				}

				stendflag   = match(linebuf[line],/^:/)
				stcommaflag = match(linebuf[line],/^,/)
				stsemiflag  = match(linebuf[line],/^;/)
				stopenflag  = match(linebuf[line],/^\(/)
				stcloseflag = match(linebuf[line],/^\)/)
				stdblflag   = match(linebuf[line],/^"/)
				stsharpflag = match(linebuf[line],/^#/)
				stequalflag = match(linebuf[line],/^=/)
				stminusflag = match(linebuf[line],/^-/)

#print line,cmdnest,cmd[cmdnest],cmdnum[cmdnest],cmdnum[1],linebuf[line]

				commandlength = 0
				if (cmdnest == 1) {
					if (cmd[1] == "RETURN" || cmd[1] == "STOP" || cmd[1] == "END" || cmd[1] == "CLS") {
# R}ĥ
						if (stendflag == 0) {								# : ł͂Ȃ̏(G[)
							error_disp(7,linecolumn,line,linebuf_org)
							commandlength = error_break(linebuf[line]);cmdnest = 0
						} else {											# : ̎̏
							cmdnest = 0
						}

					} else if (cmd[1] == "GOSUB" || cmd[1] == "GOTO") {
# R}h sԍ
						if (cmdnum[1] == 1) {								# R}hP̏
							if (stendflag == 0) {							# : ł͂Ȃ̏
								cmdnest = 2
								cmdnum[2] = 1
								cmd[2] = "sԍ"
							} else {										# : ̎̏(G[)
								error_disp(2,linecolumn,line,linebuf_org)
								commandlength = error_break(linebuf[line]);cmdnest = 0
							}
						} else if (cmdnum[1] == 2 && stendflag != 0) {		# R}hQ : ̏
							cmdnest = 0
						} else {											# ȊO(G[)
							error_disp(13,linecolumn,line,linebuf_org)
							commandlength = error_break(linebuf[line]);cmdnest = 0
						}

					} else if (cmd[1] == "RESTORE" || cmd[1] == "RUN") {
# R}h [sԍ]
						if (cmdnum[1] == 1) {								# R}hP̏
							if (stendflag == 0) {							# : ł͂Ȃ̏(G[)
								cmdnest = 2
								cmdnum[2] = 1
								cmd[2] = "sԍ"
							} else {										# : ̎̏
								cmdnest = 0
							}
						} else if (cmdnum[1] == 2 && stendflag != 0) {		# R}hQ : ̏
							cmdnest = 0
						} else {											# ȊO(G[)
							error_disp(13,linecolumn,line,linebuf_org)
							commandlength = error_break(linebuf[line]);cmdnest = 0
						}

					} else if (cmd[1] == "DATA") {
# R}h 萔[,萔]c
						if (cmdnum[1] / 2 != int(cmdnum[1] / 2)) {			# R}h̏
							if (stendflag == 0) {							# : ł͂Ȃ̏
								cmdnest = 2
								cmdnum[2] = 1
								cmd[2] = "萔"
							} else {										# : ̎̏(G[)
								error_disp(8,linecolumn,line,linebuf_org)
								commandlength = error_break(linebuf[line]);cmdnest = 0
							}
						} else {											# R}h̏
							if (stendflag != 0) {							# : ̎̏
								cmdnest = 0
							} else if (stcommaflag != 0) {					# , 
								cmdnum[1] ++
								commandlength = 1
							} else {										# , ł͂Ȃ̏(G[)
								error_disp(7,linecolumn,line,linebuf_org)
								commandlength = error_break(linebuf[line]);cmdnest = 0
							}
						}

					} else if (cmd[1] == "CSAVE") {
# R}h 
						if (cmdnum[1] == 1) {								# R}hP̏
							if (stendflag == 0) {							# : ł͂Ȃ̏
								cmdnest = 2
								cmdnum[2] = 1
								cmd[2] = ""
							} else {										# : ̎̏(G[)
								error_disp(8,linecolumn,line,linebuf_org)
								commandlength = error_break(linebuf[line]);cmdnest = 0
							}
						} else if (cmdnum[1] == 2 && stendflag != 0) {		# R}hQ : ̏
							cmdnest = 0
						} else {											# ȊO(G[)
							error_disp(13,linecolumn,line,linebuf_org)
							commandlength = error_break(linebuf[line]);cmdnest = 0
						}

					} else if (cmd[1] == "CLOAD") {
# R}h []
						if (cmdnum[1] == 1) {								# R}hP̏
							if (stendflag == 0) {							# : ł͂Ȃ̏
								cmdnest = 2
								cmdnum[2] = 1
								cmd[2] = ""
							} else {										# : ̎̏
								cmdnest = 0
							}
						} else if (cmdnum[1] == 2 && stendflag != 0) {		# R}hQ : ̏
							cmdnest = 0
						} else {											# ȊO(G[)
							error_disp(13,linecolumn,line,linebuf_org)
							commandlength = error_break(linebuf[line]);cmdnest = 0
						}

					} else if (cmd[1] == "EXEC") {
# R}h l
						if (cmdnum[1] == 1) {								# R}hP̏
							if (stendflag == 0) {							# : ł͂Ȃ̏
								cmdnest = 2
								cmdnum[2] = 1
								cmd[2] = "l"
							} else {										# : ̎̏(G[)
								error_disp(8,linecolumn,line,linebuf_org)
								commandlength = error_break(linebuf[line]);cmdnest = 0
							}
						} else if (cmdnum[1] == 2 && stendflag != 0) {		# R}hQ : ̏
							cmdnest = 0
						} else {											# ȊO(G[)
							error_disp(13,linecolumn,line,linebuf_org)
							commandlength = error_break(linebuf[line]);cmdnest = 0
						}

					} else if (cmd[1] == "LOCATE" || cmd[1] == "SOUND" || cmd[1] == "OUT" || cmd[1] == "POKE") {
# R}h l,l
						if (cmdnum[1] == 1 || cmdnum[1] == 3) {				# R}hPAR̏
							if (stendflag == 0) {							# : ł͂Ȃ̏
								cmdnest = 2
								cmdnum[2] = 1
								cmd[2] = "l"
							} else {										# : ̎̏(G[)
								error_disp(8,linecolumn,line,linebuf_org)
								commandlength = error_break(linebuf[line]);cmdnest = 0
							}
						} else if (cmdnum[1] == 2 || cmdnum[1] == 4) {		# R}hQAS̏
							if (stendflag != 0 && cmdnum[1] == 4) {			# R}hS : ̎̏
								cmdnest = 0
							} else if (cmdnum[1] == 4) {					# R}h4 : ł͂Ȃ̏(G[)
								error_disp(13,linecolumn,line,linebuf_org)
								commandlength = error_break(linebuf[line]);cmdnest = 0
							} else if (stcommaflag == 0) {					# , ł͂Ȃ̏(G[)
								error_disp(12,linecolumn,line,linebuf_org)
								commandlength = error_break(linebuf[line]);cmdnest = 0
							} else {										# , ̎̏
								cmdnum[1] ++
								commandlength = 1
							}
						} else {											# R}hTȏ̏(G[)
							error_disp(13,linecolumn,line,linebuf_org)
							commandlength = error_break(linebuf[line]);cmdnest = 0
						}

					} else if (cmd[1] == "CLEAR") {
# R}h [[l],[l]]
						if (cmdnum[1] == 1 || cmdnum[1] == 3) {				# R}hPAR̏
							if (stcommaflag != 0) {							# , ̎̏
								cmdnum[1] = cmdnum[1] + 2
								commandlength = 1
							} else if (stendflag == 0) {					# : ł͂Ȃ̏
								cmdnest = 2
								cmdnum[2] = 1
								cmd[2] = "l"
							} else if (cmdnum[1] == 1) {					# : ̎̏(R}hP)
								cmdnest = 0
							} else {										# : ̎̏(G[)
								error_disp(8,linecolumn,line,linebuf_org)
								commandlength = error_break(linebuf[line]);cmdnest = 0
							}
						} else if (cmdnum[1] == 2 || cmdnum[1] == 4) {		# R}hQAS̏
							if (stendflag != 0) {							# : ̎̏
								cmdnest = 0
							} else if (cmdnum[1] == 4) {					# R}h4 : ł͂Ȃ̏(G[)
								error_disp(13,linecolumn,line,linebuf_org)
								commandlength = error_break(linebuf[line]);cmdnest = 0
							} else if (stcommaflag == 0) {					# , ł͂Ȃ̏(G[)
								error_disp(12,linecolumn,line,linebuf_org)
								commandlength = error_break(linebuf[line]);cmdnest = 0
							} else {										# , ̎̏
								cmdnum[1] ++
								commandlength = 1
							}
						} else {											# R}hTȏ̏(G[)
							error_disp(13,linecolumn,line,linebuf_org)
							commandlength = error_break(linebuf[line]);cmdnest = 0
						}

					} else if (cmd[1] == "COLOR" || cmd[1] == "SCREEN") {
# R}h [l],[l],[l]
						if (cmdnum[1] == 1 || cmdnum[1] == 3 || cmdnum[1] == 5) {
																			# R}hPARAT̏
							if (stcommaflag != 0) {							# , ̎̏
								cmdnum[1] = cmdnum[1] + 2
								commandlength = 1
							} else if (stendflag == 0) {					# : ł͂Ȃ̏
								cmdnest = 2
								cmdnum[2] = 1
								cmd[2] = "l"
							} else {										# : ̎̏(G[)
								error_disp(8,linecolumn,line,linebuf_org)
								commandlength = error_break(linebuf[line]);cmdnest = 0
							}
						} else if (cmdnum[1] == 2 || cmdnum[1] == 4 || cmdnum[1] == 6) {
																			# R}hQASAU̏
							if (stendflag != 0) {							# : ̎̏
								cmdnest = 0
							} else if (cmdnum[1] == 6) {					# R}h6 : ł͂Ȃ̏(G[)
								error_disp(13,linecolumn,line,linebuf_org)
								commandlength = error_break(linebuf[line]);cmdnest = 0
							} else if (stcommaflag == 0) {					# , ł͂Ȃ̏(G[)
								error_disp(8,linecolumn,line,linebuf_org)
								commandlength = error_break(linebuf[line]);cmdnest = 0
							} else {										# , ̎̏
								cmdnum[1] ++
								commandlength = 1
							}
						} else {											# ȊO(G[)
							error_disp(13,linecolumn,line,linebuf_org)
							commandlength = error_break(linebuf[line]);cmdnest = 0
						}

					} else if (cmd[1] == "PLAY") {
# R}h [],[],[]
						if (cmdnum[1] == 1 || cmdnum[1] == 3 || cmdnum[1] == 5) {
																			# R}hPARAT̏
							if (stcommaflag != 0) {							# , ̎̏
								cmdnum[1] = cmdnum[1] + 2
								commandlength = 1
							} else if (stendflag == 0) {					# : ł͂Ȃ̏
								cmdnest = 2
								cmdnum[2] = 1
								cmd[2] = ""
							} else {										# : ̎̏(G[)
								error_disp(8,linecolumn,line,linebuf_org)
								commandlength = error_break(linebuf[line]);cmdnest = 0
							}
						} else if (cmdnum[1] == 2 || cmdnum[1] == 4 || cmdnum[1] == 6) {
																			# R}hQASAU̏
							if (stendflag != 0) {							# : ̎̏
								cmdnest = 0
							} else if (cmdnum[1] == 6) {					# R}h6 : ł͂Ȃ̏(G[)
								error_disp(13,linecolumn,line,linebuf_org)
								commandlength = error_break(linebuf[line]);cmdnest = 0
							} else if (stcommaflag == 0) {					# , ł͂Ȃ̏(G[)
								error_disp(12,linecolumn,line,linebuf_org)
								commandlength = error_break(linebuf[line]);cmdnest = 0
							} else {										# , ̎̏
								cmdnum[1] ++
								commandlength = 1
							}
						} else {											# ȊO(G[)
							error_disp(13,linecolumn,line,linebuf_org)
							commandlength = error_break(linebuf[line]);cmdnest = 0
						}

					} else if (cmd[1] == "CONSOLE") {
# R}h [l],[l],[l],[l]
						if (cmdnum[1] == 1 || cmdnum[1] == 3 || cmdnum[1] == 5 || cmdnum[1] == 7) {
																			# R}hPARATAV̏
							if (stcommaflag != 0) {							# , ̎̏
								cmdnum[1] = cmdnum[1] + 2
								commandlength = 1
							} else if (stendflag == 0) {					# : ł͂Ȃ̏
								cmdnest = 2
								cmdnum[2] = 1
								cmd[2] = "l"
							} else {										# : ̎̏(G[)
								error_disp(8,linecolumn,line,linebuf_org)
								commandlength = error_break(linebuf[line]);cmdnest = 0
							}
						} else if (cmdnum[1] == 2 || cmdnum[1] == 4 || cmdnum[1] == 6 || cmdnum[1] == 8) {
																			# R}hQASAUAW̏
							if (stendflag != 0) {							# : ̎̏
								cmdnest = 0
							} else if (cmdnum[1] == 8) {					# R}h8 : ł͂Ȃ̏(G[)
								error_disp(13,linecolumn,line,linebuf_org)
								commandlength = error_break(linebuf[line]);cmdnest = 0
							} else if (stcommaflag == 0) {					# , ł͂Ȃ̏(G[)
								error_disp(12,linecolumn,line,linebuf_org)
								commandlength = error_break(linebuf[line]);cmdnest = 0
							} else {										# , ̎̏
								cmdnum[1] ++
								commandlength = 1
							}
						} else {											# ȊO(G[)
							error_disp(13,linecolumn,line,linebuf_org)
							commandlength = error_break(linebuf[line]);cmdnest = 0
						}

					} else if (cmd[1] == "KEY") {
# R}h l,
						if (cmdnum[1] == 1 || cmdnum[1] == 3) {				# R}hPAR̏
							if (stendflag == 0) {							# : ł͂Ȃ̏
								cmdnest = 2
								cmdnum[2] = 1
								if (cmdnum[1] == 1) {
									cmd[2] = "l"
								} else {
									cmd[2] = ""
								}
							} else {										# : ̎̏(G[)
								error_disp(8,linecolumn,line,linebuf_org)
								commandlength = error_break(linebuf[line]);cmdnest = 0
							}
						} else if (cmdnum[1] == 2 || cmdnum[1] == 4) {		# R}hQAS̏
							if (stendflag != 0 && cmdnum[1] == 4) {			# R}hS : ̎̏
								cmdnest = 0
							} else if (cmdnum[1] == 4) {					# R}h4 : ł͂Ȃ̏(G[)
								error_disp(13,linecolumn,line,linebuf_org)
								commandlength = error_break(linebuf[line]);cmdnest = 0
							} else if (stcommaflag == 0) {					# , ł͂Ȃ̏(G[)
								error_disp(12,linecolumn,line,linebuf_org)
								commandlength = error_break(linebuf[line]);cmdnest = 0
							} else {										# , ̎̏
								cmdnum[1] ++
								commandlength = 1
							}
						} else {											# R}hTȏ̏(G[)
							error_disp(13,linecolumn,line,linebuf_org)
							commandlength = error_break(linebuf[line]);cmdnest = 0
						}

					} else if (cmd[1] == "PSET" || cmd[1] == "PRESET") {
# R}h (l,l)[,l]
						if (cmdnum[1] == 1) {								# R}hP̏
							if (match(linebuf[line],/^STEP/) != 0) {		# STEP 
								cmdnum[1] ++
								commandlength = 4
							} else if (stendflag != 0) {					# : ̎̏(G[)
								error_disp(8,linecolumn,line,linebuf_org)
								commandlength = error_break(linebuf[line]);cmdnest = 0
							} else {
								cmdnum[1] ++
								commandlength = 0
							}
						} else if (cmdnum[1] == 2) {						# R}hQ̏
							if (stopenflag == 0) {							# ( 
								error_disp(14,linecolumn,line,linebuf_org)
								commandlength = error_break(linebuf[line]);cmdnest = 0
							} else {										# ( ̏
								cmdnum[1] ++
								commandlength = 1
							}
						} else if (cmdnum[1] == 3 || cmdnum[1] == 5 || cmdnum[1] == 8) {
																			# R}hRATAW̏
							if (stendflag == 0) {							# : ł͂Ȃ̏
								cmdnest = 2
								cmdnum[2] = 1
								cmd[2] = "l"
							} else {										# : ̎̏(G[)
								error_disp(8,linecolumn,line,linebuf_org)
								commandlength = error_break(linebuf[line]);cmdnest = 0
							}
						} else if (cmdnum[1] == 4) {						# R}hS̏
							if (stcommaflag == 0) {							# , 
								error_disp(12,linecolumn,line,linebuf_org)
								commandlength = error_break(linebuf[line]);cmdnest = 0
							} else {										# , ̏
								cmdnum[1] ++
								commandlength = 1
							}
						} else if (cmdnum[1] == 6) {						# R}hU̏
							if (stcloseflag == 0) {							# ) 
								error_disp(14,linecolumn,line,linebuf_org)
								commandlength = error_break(linebuf[line]);cmdnest = 0
							} else {										# ) ̏
								cmdnum[1] ++
								commandlength = 1
							}
						} else if (cmdnum[1] == 7 || cmdnum[1] == 9) {		# R}hVAX̏
							if (stendflag != 0) {							# : ̎̏
								cmdnest = 0
							} else if (cmdnum[1] == 9) {					# R}h9 : ł͂Ȃ̏(G[)
								error_disp(13,linecolumn,line,linebuf_org)
								commandlength = error_break(linebuf[line]);cmdnest = 0
							} else if (stcommaflag == 0) {					# , 
								error_disp(12,linecolumn,line,linebuf_org)
								commandlength = error_break(linebuf[line]);cmdnest = 0
							} else {										# , ̏
								cmdnum[1] ++
								commandlength = 1
							}
						} else {											# R}hPOȏ̏(G[)
							error_disp(13,linecolumn,line,linebuf_org)
							commandlength = error_break(linebuf[line]);cmdnest = 0
						}

					} else if (cmd[1] == "PAINT") {
# R}h (l,l)[,l][,l]
						if (cmdnum[1] == 1) {								# R}hP̏
							if (stopenflag == 0) {							# ( 
								error_disp(14,linecolumn,line,linebuf_org)
								commandlength = error_break(linebuf[line]);cmdnest = 0
							} else {										# ( ̏
								cmdnum[1] ++
								commandlength = 1
							}
						} else if (cmdnum[1] == 2 || cmdnum[1] == 4 || cmdnum[1] == 7 || cmdnum[1] == 9) {
																			# R}hQASAVAX̏
							if (stendflag == 0) {							# : ł͂Ȃ̏
								cmdnest = 2
								cmdnum[2] = 1
								cmd[2] = "l"
							} else {										# : ̎̏(G[)
								error_disp(8,linecolumn,line,linebuf_org)
								commandlength = error_break(linebuf[line]);cmdnest = 0
							}
						} else if (cmdnum[1] == 3) {						# R}hR̏
							if (stcommaflag == 0) {							# , 
								error_disp(12,linecolumn,line,linebuf_org)
								commandlength = error_break(linebuf[line]);cmdnest = 0
							} else {										# , ̏
								cmdnum[1] ++
								commandlength = 1
							}
						} else if (cmdnum[1] == 5) {						# R}hT̏
							if (stcloseflag == 0) {							# ) 
								error_disp(14,linecolumn,line,linebuf_org)
								commandlength = error_break(linebuf[line]);cmdnest = 0
							} else {										# ) ̏
								cmdnum[1] ++
								commandlength = 1
							}
						} else if (cmdnum[1] == 6 || cmdnum[1] == 8 || cmdnum[1] == 10) {
																			# R}hUAWAPO̏
							if (stendflag != 0) {							# : ̎̏
								cmdnest = 0
							} else if (cmdnum[1] == 10) {					# R}h10 : ȊO̎̏(G[)
								error_disp(13,linecolumn,line,linebuf_org)
								commandlength = error_break(linebuf[line]);cmdnest = 0
							} else if (stcommaflag == 0) {					# , 
								error_disp(12,linecolumn,line,linebuf_org)
								commandlength = error_break(linebuf[line]);cmdnest = 0
							} else {										# , ̏
								cmdnum[1] ++
								commandlength = 1
							}
						} else {											# R}hPPȏ̏(G[)
							error_disp(13,linecolumn,line,linebuf_org)
							commandlength = error_break(linebuf[line]);cmdnest = 0
						}

					} else if (cmd[1] == "ON") {
# R}h l [GOTO|GOSUB] sԍ[,sԍ]c
						if (cmdnum[1] == 1) {								# R}hP̏
							if (stendflag == 0) {							# : ł͂Ȃ̏
								cmdnest = 2
								cmdnum[2] = 1
								cmd[2] = "l"
							} else {										# : ̎̏(G[)
								error_disp(8,linecolumn,line,linebuf_org)
								commandlength = error_break(linebuf[line]);cmdnest = 0
							}
						} else if (cmdnum[1] == 2) {						# R}hQ̏
							if (match(linebuf[line],/^GOTO|GOSUB/) != 0) {	# GOTO / GOSUB 
								cmdnum[1] ++
								commandlength = RLENGTH
							} else {										# ȊȌ(G[)
								error_disp(17,linecolumn,line,linebuf_org)
								commandlength = error_break(linebuf[line]);cmdnest = 0
							}
						} else if (cmdnum[1]/2 != int(cmdnum[1]/2)) {		# R}hRATAc̏
							if (stendflag == 0) {							# : ł͂Ȃ̏
								cmdnest = 2
								cmdnum[2] = 1
								cmd[2] = "sԍ"
							} else {										# : ̎̏(G[)
								error_disp(2,linecolumn,line,linebuf_org)
								commandlength = error_break(linebuf[line]);cmdnest = 0
							}
						} else {											# R}hSAUAc̏
							if (stcommaflag != 0) {							# , 
								cmdnum[1] ++
								commandlength = 1
							} else if (stendflag != 0) {					# : ̎̏
								cmdnest = 0
							} else {										# : , ł͂Ȃ̏(G[)
								error_disp(8,linecolumn,line,linebuf_org)
								commandlength = error_break(linebuf[line]);cmdnest = 0
							}
						}

					} else if (cmd[1] == "IF" || cmd[1] == "IFGOTO") {
# R}h l [THEN|GOTO] sԍ
# R}h l THEN 
						if (cmdnum[1] == 1) {								# R}hP̏
							if (stendflag == 0) {							# : ł͂Ȃ̏
								cmdnest = 2
								cmdnum[2] = 1
								cmd[2] = "l"
							} else {										# : ̎̏(G[)
								error_disp(8,linecolumn,line,linebuf_org)
								commandlength = error_break(linebuf[line]);cmdnest = 0
							}
						} else if (cmdnum[1] == 2) {						# R}hQ̏
							if (match(linebuf[line],/^GOTO/) != 0) {		# IF GOTO
								cmd[1] = "IFGOTO"
								cmdnum[1] ++
								commandlength = 4
							} else if (match(linebuf[line],/^THEN/) != 0) {	# IF THEN
								cmdnum[1] ++
								commandlength = 4
							} else {										# ȊȌ(G[)
								error_disp(16,linecolumn,line,linebuf_org)
								commandlength = error_break(linebuf[line]);cmdnest = 0
							}
						} else if (cmdnum[1] == 3) {						# R}hR̏
							if (cmd[1] == "IFGOTO" || match(linebuf[line],/^[0-9]/) != 0) {
																			# sԍ
								cmdnest = 2
								cmdnum[2] = 1
								cmd[2] = "sԍ"
							} else {										# ̕
								cmdnest = 0
							}
						} else if (cmdnum[1] == 4 && stendflag != 0) {		# R}hS : ̏
							cmdnest = 0
						} else {											# R}hSȏ̏(G[)
							error_disp(13,linecolumn,line,linebuf_org)
							commandlength = error_break(linebuf[line]);cmdnest = 0
						}

					} else if (cmd[1] == "LINE") {
# R}h [STEP] [(l,l)]-(l,l)[,l][,B|BF]
						if (cmdnum[1] == 1) {								# R}hP̏
							if (match(linebuf[line],/^STEP/) != 0) {		# STEP 
								cmdnum[1] ++
								commandlength = 4
							} else if (stendflag != 0) {					# : ̎̏(G[)
								error_disp(8,linecolumn,line,linebuf_org)
								commandlength = error_break(linebuf[line]);cmdnest = 0
							} else {
								cmdnum[1] ++
								commandlength = 0
							}
						} else if (cmdnum[1] == 2 || cmdnum[1] == 8) {		# R}hQAW̏
							if (stopenflag != 0) {							# ( 
								cmdnum[1] ++
								commandlength = 1
							} else if (stminusflag != 0) {					# - 
								cmdnum[1] = cmdnum[1] + 6
								commandlength = 1
							} else {										# ( - ȊO̎̏(G[)
								error_disp(14,linecolumn,line,linebuf_org)
								commandlength = error_break(linebuf[line]);cmdnest = 0
							}
						} else if (cmdnum[1] == 3 || cmdnum[1] == 5 || cmdnum[1] == 9 || cmdnum[1] == 11 || cmdnum[1] == 14) {
																			# R}hRATAXAPPAPS̏
							if (stcommaflag != 0 && cmdnum[1] == 14) {
								cmdnum[1] ++
								commandlength = 0
							} else if (stendflag == 0) {					# : ł͂Ȃ̏
								cmdnest = 2
								cmdnum[2] = 1
								cmd[2] = "l"
							} else {										# : ̎̏(G[)
								error_disp(8,linecolumn,line,linebuf_org)
								commandlength = error_break(linebuf[line]);cmdnest = 0
							}
						} else if (cmdnum[1] == 4 || cmdnum[1] == 10 || cmdnum[1] == 13 || cmdnum[1] == 15) {
																			# R}hSAPOAPRAPT̏
							if (stendflag != 0 && (cmdnum[1] == 13 || cmdnum[1] == 15)) {
																			# R}hPRAPT : ̎
								cmdnest = 0
							} else if (stcommaflag == 0) {					# , 
								error_disp(12,linecolumn,line,linebuf_org)
								commandlength = error_break(linebuf[line]);cmdnest = 0
							} else {										# , ̏
								cmdnum[1] ++
								commandlength = 1
							}
						} else if (cmdnum[1] == 6 || cmdnum[1] == 12) {		# R}hUAPQ̏
							if (stcloseflag == 0) {							# ) 
								error_disp(14,linecolumn,line,linebuf_org)
								commandlength = error_break(linebuf[line]);cmdnest = 0
							} else {										# ) ̏
								cmdnum[1] ++
								commandlength = 1
							}
						} else if (cmdnum[1] == 7) {						# R}hV̏
							if (stminusflag == 0) {							# - 
								error_disp(14,linecolumn,line,linebuf_org)
								commandlength = error_break(linebuf[line]);cmdnest = 0
							} else {										# - ̏
								cmdnum[1] ++
								commandlength = 1
							}
						} else if (cmdnum[1] == 16) {						# R}hPU̏
							if (match(linebuf[line],/^BF/) != 0) {			# BF ̎̏
								cmdnum[1] ++
								commandlength = 2
							} else if (match(linebuf[line],/^B/) != 0) {	# B ̎̏
								cmdnum[1] ++
								commandlength = 1
							} else {										# ȊO̎̏(G[)
								error_disp(7,linecolumn,line,linebuf_org)
								commandlength = error_break(linebuf[line]);cmdnest = 0
							}
						} else if (cmdnum[1] == 17 && stendflag != 0) {		# R}hPV̏
							cmdnest = 0
						} else {											# R}hPWȏ̏(G[)
							error_disp(13,linecolumn,line,linebuf_org)
							commandlength = error_break(linebuf[line]);cmdnest = 0
						}

					} else if (cmd[1] == "READ" || cmd[1] == "DIM") {
# R}h lϐ|ϐ[,lϐ|ϐ]c
						if (cmdnum[1]/2 != int(cmdnum[1]/2)) {				# R}hPARAc̏
							if (stendflag == 0) {							# : ł͂Ȃ̏
								if (match(linebuf[line],/^[A-Z][A-Z0-9]*\$/) != 0) {
																			# ϐ̏
									commandlength = RLENGTH
									resstart = resmatch(linebuf[line])
									if (resstart != 0) {					# ɑ̃R}h鎞̏
										if (commandlength > resstart - 1) {
											commandlength = resstart - 1
										}
									}
									if (commandlength == 0) {				# 擪R}h鏈(G[)
										error_disp(5,linecolumn,line,linebuf_org)
										commandlength = error_break(linebuf[line]);cmdnest = 0
									} else {
										cmdnest = 2
										cmdnum[2] = 1
										cmd[2] = "ϐ"
										valcnt = valsub(substr(linebuf[line],1,commandlength),valcnt,valreg,valregcnt)
										if (commandlength > 3) {			# ϐRȏ̏
											error_disp(15,linecolumn,line,linebuf_org)
										}
									}
								} else if (match(linebuf[line],/^[A-Z][A-Z0-9]*/) != 0) {
																			# lϐ̏
									commandlength = RLENGTH
									resstart = resmatch(linebuf[line])
									if (resstart != 0) {					# ɑ̃R}h鎞̏
										if (commandlength > resstart - 1) {
											commandlength = resstart - 1
										}
									}
									if (commandlength == 0) {				# 擪R}h鏈(G[)
										error_disp(5,linecolumn,line,linebuf_org)
										commandlength = error_break(linebuf[line]);cmdnest = 0
									} else {
										cmdnest = 2
										cmdnum[2] = 1
										cmd[2] = "ϐ"
										valcnt = valsub(substr(linebuf[line],1,commandlength),valcnt,valreg,valregcnt)
										if (commandlength > 2) {			# ϐRȏ̏
											error_disp(15,linecolumn,line,linebuf_org)
										}
									}
								} else {									# lϐ/ϐȊȌꍇ
									error_disp(7,linecolumn,line,linebuf_org)
									commandlength = error_break(linebuf[line]);cmdnest = 0
								}
							} else {										# : ̎̏(G[)
								error_disp(8,linecolumn,line,linebuf_org)
								commandlength = error_break(linebuf[line]);cmdnest = 0
							}
						} else {											# R}hQASc̏
							if (stendflag != 0) {							# : ̎̏
								cmdnest = 0
							} else if (stcommaflag == 0) {					# , ł͂Ȃ̏(G[)
								error_disp(12,linecolumn,line,linebuf_org)
								commandlength = error_break(linebuf[line]);cmdnest = 0
							} else {										# , ̎̏
								cmdnum[1] ++
								commandlength = 1
							}
						}

					} else if (cmd[1] == "NEXT") {
# R}h [lϐ|ϐ][,lϐ|ϐ]c
						if (cmdnum[1]/2 != int(cmdnum[1]/2)) {				# R}hPARAc̏
							if (stendflag == 0) {							# : ł͂Ȃ̏
								if (match(linebuf[line],/^[A-Z][A-Z0-9]*\$/) != 0) {
																			# ϐ̏
									commandlength = RLENGTH
									resstart = resmatch(linebuf[line])
									if (resstart != 0) {					# ɑ̃R}h鎞̏
										if (commandlength > resstart - 1) {
											commandlength = resstart - 1
										}
									}
									if (commandlength == 0) {				# 擪R}h鏈(G[)
										error_disp(5,linecolumn,line,linebuf_org)
										commandlength = error_break(linebuf[line]);cmdnest = 0
									} else {
										cmdnest = 2
										cmdnum[2] = 1
										cmd[2] = "ϐ"
										valcnt = valsub(substr(linebuf[line],1,commandlength),valcnt,valreg,valregcnt)
										if (commandlength > 3) {			# ϐRȏ̏
											error_disp(15,linecolumn,line,linebuf_org)
										}
									}
								} else if (match(linebuf[line],/^[A-Z][A-Z0-9]*/) != 0) {
																			# lϐ̏
									commandlength = RLENGTH
									resstart = resmatch(linebuf[line])
									if (resstart != 0) {					# ɑ̃R}h鎞̏
										if (commandlength > resstart - 1) {
											commandlength = resstart - 1
										}
									}
									if (commandlength == 0) {				# 擪R}h鏈(G[)
										error_disp(5,linecolumn,line,linebuf_org)
										commandlength = error_break(linebuf[line]);cmdnest = 0
									} else {
										cmdnest = 2
										cmdnum[2] = 1
										cmd[2] = "ϐ"
										valcnt = valsub(substr(linebuf[line],1,commandlength),valcnt,valreg,valregcnt)
										if (commandlength > 2) {			# ϐRȏ̏
											error_disp(15,linecolumn,line,linebuf_org)
										}
									}
								} else {									# lϐ/ϐȊȌꍇ
									error_disp(7,linecolumn,line,linebuf_org)
									commandlength = error_break(linebuf[line]);cmdnest = 0
								}
							} else if (cmdnum[1] == 1) {					# R}hP : ̎̏
								cmdnest = 0
							} else {										# : ̎̏(G[)
								error_disp(8,linecolumn,line,linebuf_org)
								commandlength = error_break(linebuf[line]);cmdnest = 0
							}
						} else {											# R}hQASc̏
							if (stendflag != 0) {							# : ̎̏
								cmdnest = 0
							} else if (stcommaflag == 0) {					# , ł͂Ȃ̏(G[)
								error_disp(12,linecolumn,line,linebuf_org)
								commandlength = error_break(linebuf[line]);cmdnest = 0
							} else {										# , ̎̏
								cmdnum[1] ++
								commandlength = 1
							}
						}

					} else if (cmd[1] == "LET" || cmd[1] == "LET") {
# R}h lϐ = l
# R}h ϐ = 
						if (cmdnum[1] == 1) {								# R}hP̏
							if (stendflag == 0) {							# : ł͂Ȃ̏
								if (match(linebuf[line],/^[A-Z][A-Z0-9]*\$/) != 0) {
																			# ϐ̏
									commandlength = RLENGTH
									resstart = resmatch(linebuf[line])
									if (resstart != 0) {					# ɑ̃R}h鎞̏
										if (commandlength > resstart - 1) {
											commandlength = resstart - 1
										}
									}
									if (commandlength == 0) {				# 擪R}h鏈(G[)
										error_disp(5,linecolumn,line,linebuf_org)
										commandlength = error_break(linebuf[line]);cmdnest = 0
									} else {
										cmd[1] = "LET"
										cmdnest = 2
										cmdnum[2] = 1
										cmd[2] = "ϐ"
										valcnt = valsub(substr(linebuf[line],1,commandlength),valcnt,valreg,valregcnt)
										if (commandlength > 3) {			# ϐRȏ̏
											error_disp(15,linecolumn,line,linebuf_org)
										}
									}
								} else if (match(linebuf[line],/^[A-Z][A-Z0-9]*/) != 0) {
																			# lϐ̏
									commandlength = RLENGTH
									resstart = resmatch(linebuf[line])
									if (resstart != 0) {					# ɑ̃R}h鎞̏
										if (commandlength > resstart - 1) {
											commandlength = resstart - 1
										}
									}
									if (commandlength == 0) {				# 擪R}h鏈(G[)
										error_disp(5,linecolumn,line,linebuf_org)
										commandlength = error_break(linebuf[line]);cmdnest = 0
									} else {
										cmdnest = 2
										cmdnum[2] = 1
										cmd[2] = "ϐ"
										valcnt = valsub(substr(linebuf[line],1,commandlength),valcnt,valreg,valregcnt)
										if (commandlength > 2) {			# ϐRȏ̏
											error_disp(15,linecolumn,line,linebuf_org)
										}
									}
								} else {									# lϐ/ϐȊȌꍇ
									error_disp(7,linecolumn,line,linebuf_org)
									commandlength = error_break(linebuf[line]);cmdnest = 0
								}
							} else {										# : ̎̏(G[)
								error_disp(8,linecolumn,line,linebuf_org)
								commandlength = error_break(linebuf[line]);cmdnest = 0
							}
						} else if (cmdnum[1] == 2) {						# R}hQ̏
							if (stequalflag != 0) {							# = 
								cmdnum[1] ++
								commandlength = 1
							} else {
								error_disp(18,linecolumn,line,linebuf_org)
								commandlength = error_break(linebuf[line]);cmdnest = 0
							}
						} else if (cmdnum[1] == 3) {						# R}hR̏
							if (stendflag == 0) {							# : ł͂Ȃ̏
								cmdnest = 2
								cmdnum[2] = 1
								if (cmd[1] == "LET") {
									cmd[2] = ""
								} else {
									cmd[2] = "Zql"
								}
							} else {										# : ̎̏(G[)
								error_disp(8,linecolumn,line,linebuf_org)
								commandlength = error_break(linebuf[line]);cmdnest = 0
							}
						} else if (cmdnum[1] == 4 && stendflag != 0) {		# R}hS : ̏
							cmdnest = 0
						} else {											# ȊȌ(G[)
							error_disp(13,linecolumn,line,linebuf_org)
							commandlength = error_break(linebuf[line]);cmdnest = 0
						}

					} else if (cmd[1] == "DEF" || cmd[1] == "DEF") {
# R}h FN lFNϐ = l
# R}h FN FNϐ = 
						if (cmdnum[1] == 1) {								# R}hP̏
							if (match(linebuf[line],/^FN/) != 0) {			# FN 
								cmdnum[1] ++
								commandlength = 2
							} else {
								error_disp(5,linecolumn,line,linebuf_org)
								commandlength = error_break(linebuf[line]);cmdnest = 0
							}
						} else if (cmdnum[1] == 2) {						# R}hQ̏
							if (stendflag == 0) {							# : ł͂Ȃ̏
								if (match(linebuf[line],/^[A-Z][A-Z0-9]*\$/) != 0) {
																			# ϐ̏
									commandlength = RLENGTH
									resstart = resmatch(linebuf[line])
									if (resstart != 0) {					# ɑ̃R}h鎞̏
										if (commandlength > resstart - 1) {
											commandlength = resstart - 1
										}
									}
									if (commandlength == 0) {				# 擪R}h鏈(G[)
										error_disp(5,linecolumn,line,linebuf_org)
										commandlength = error_break(linebuf[line]);cmdnest = 0
									} else {
										cmd[1] = "DEF"
										cmdnest = 2
										cmdnum[2] = 1
										cmd[2] = "FNϐ"
										valcnt = valsub(substr(linebuf[line],1,commandlength),valcnt,valreg,valregcnt)
										if (commandlength > 3) {			# ϐRȏ̏
											error_disp(15,linecolumn,line,linebuf_org)
										}
									}
								} else if (match(linebuf[line],/^[A-Z][A-Z0-9]*/) != 0) {
																			# lϐ̏
									commandlength = RLENGTH
									resstart = resmatch(linebuf[line])
									if (resstart != 0) {					# ɑ̃R}h鎞̏
										if (commandlength > resstart - 1) {
											commandlength = resstart - 1
										}
									}
									if (commandlength == 0) {				# 擪R}h鏈(G[)
										error_disp(5,linecolumn,line,linebuf_org)
										commandlength = error_break(linebuf[line]);cmdnest = 0
									} else {
										cmdnest = 2
										cmdnum[2] = 1
										cmd[2] = "FNϐ"
										valcnt = valsub(substr(linebuf[line],1,commandlength),valcnt,valreg,valregcnt)
										if (commandlength > 2) {			# ϐRȏ̏
											error_disp(15,linecolumn,line,linebuf_org)
										}
									}
								} else {									# lϐ/ϐȊȌꍇ
									error_disp(7,linecolumn,line,linebuf_org)
									commandlength = error_break(linebuf[line]);cmdnest = 0
								}
							} else {										# : ̎̏(G[)
								error_disp(8,linecolumn,line,linebuf_org)
								commandlength = error_break(linebuf[line]);cmdnest = 0
							}
						} else if (cmdnum[1] == 3) {						# R}hR̏
							if (stequalflag != 0) {							# = 
								cmdnum[1] ++
								commandlength = 1
							} else {
								error_disp(18,linecolumn,line,linebuf_org)
								commandlength = error_break(linebuf[line]);cmdnest = 0
							}
						} else if (cmdnum[1] == 4) {						# R}hS̏
							if (stendflag == 0) {							# : ł͂Ȃ̏
								cmdnest = 2
								cmdnum[2] = 1
								if (cmd[1] == "DEF") {
									cmd[2] = ""
								} else {
									cmd[2] = "Zql"
								}
							} else {										# : ̎̏(G[)
								error_disp(8,linecolumn,line,linebuf_org)
								commandlength = error_break(linebuf[line]);cmdnest = 0
							}
						} else if (cmdnum[1] == 5 && stendflag != 0) {		# R}hT : ̏
							cmdnest = 0
						} else {											# ȊȌ(G[)
							error_disp(13,linecolumn,line,linebuf_org)
							commandlength = error_break(linebuf[line]);cmdnest = 0
						}


   					} else if (cmd[1] == "FOR") {
# R}h lϐ = l TO l [STEP l]
						if (cmdnum[1] == 1) {								# R}hP̏
							if (stendflag == 0) {							# : ł͂Ȃ̏
								if (match(linebuf[line],/^[A-Z][A-Z0-9]*/) != 0) {
																			# lϐ̏
									commandlength = RLENGTH
									resstart = resmatch(linebuf[line])
									if (resstart != 0) {					# ɑ̃R}h鎞̏
										if (commandlength > resstart - 1) {
											commandlength = resstart - 1
										}
									}
									if (commandlength == 0) {				# 擪R}h鏈(G[)
										error_disp(5,linecolumn,line,linebuf_org)
										commandlength = error_break(linebuf[line]);cmdnest = 0
									} else {
										cmdnest = 2
										cmdnum[2] = 1
										cmd[2] = "ϐ"
										valcnt = valsub(substr(linebuf[line],1,commandlength),valcnt,valreg,valregcnt)
										if (commandlength > 2) {			# ϐRȏ̏
											error_disp(15,linecolumn,line,linebuf_org)
										}
									}
								} else {									# lϐȊȌꍇ
									error_disp(7,linecolumn,line,linebuf_org)
									commandlength = error_break(linebuf[line]);cmdnest = 0
								}
							} else {										# : ̎̏(G[)
								error_disp(8,linecolumn,line,linebuf_org)
								commandlength = error_break(linebuf[line]);cmdnest = 0
							}
						} else if (cmdnum[1] == 2) {						# R}hQ̏
							if (stequalflag != 0) {							# = 
								cmdnum[1] ++
								commandlength = 1
							} else {
								error_disp(18,linecolumn,line,linebuf_org)
								commandlength = error_break(linebuf[line]);cmdnest = 0
							}
						} else if (cmdnum[1] == 3 || cmdnum[1] == 5 || cmdnum[1] == 7) {
																			# R}hRATAV̏
							if (stendflag == 0) {							# : ł͂Ȃ̏
								cmdnest = 2
								cmdnum[2] = 1
								if (cmdnum[1] == 3) {
									cmd[2] = "Zql"
								} else {
									cmd[2] = "l"
								}
							} else {										# : ̎̏(G[)
								error_disp(8,linecolumn,line,linebuf_org)
								commandlength = error_break(linebuf[line]);cmdnest = 0
							}
						} else if (cmdnum[1] == 4) {						# R}hS̏
							if (match(linebuf[line],/^TO/) != 0) {			# TO 
								cmdnum[1] ++
								commandlength = 2
							} else {										# TO ł͂Ȃ̏(G[)
								error_disp(19,linecolumn,line,linebuf_org)
								commandlength = error_break(linebuf[line]);cmdnest = 0
							}
						} else if (cmdnum[1] == 6) {						# R}hU̏
							if (match(linebuf[line],/^STEP/) != 0) {		# STEP 
								cmdnum[1] ++
								commandlength = 4
							} else if (stendflag != 0) {					# : ̎̏
								cmdnest = 0
							} else {										# : ł͂Ȃ̏(G[)
								error_disp(19,linecolumn,line,linebuf_org)
								commandlength = error_break(linebuf[line]);cmdnest = 0
							}
						} else if (cmdnum[1] == 8 && stendflag != 0) {		# R}hW : ̏
							cmdnest = 0
						} else {											# ȊȌ(G[)
							error_disp(13,linecolumn,line,linebuf_org)
							commandlength = error_break(linebuf[line]);cmdnest = 0
						}

   					} else if (cmd[1] == "INPUT" || cmd[1] == "INPUT#") {
# R}h [;][lϐ|ϐ][,lϐ|ϐ]
# R}h # - l [lϐ|ϐ][,lϐ|ϐ]
						if (cmdnum[1] == 1) {								# R}hP̏
							if (stendflag != 0) {							# : ̎̏
								cmdnest = 0
							} else if (stsharpflag != 0) {					# # ̎̏
								cmd[1] = "INPUT#"
								cmdnum[1] ++
								commandlength = 1
							} else if (stdblflag != 0) {					# ̏
								if (match(linebuf[line],/^"[^"]*"/) != 0) {
									commandlength = RLENGTH
								} else {
									commandlength = length(linebuf[line])
								}
								cmdnum[1] ++
							} else {										# # " ȊO̎̏
								cmdnum[1] = cmdnum[1] + 4
								commandlength = 0
							}
						} else if (cmdnum[1] == 2 && cmd[1] == "INPUT") {	# R}hQ̏(INPUT)
							if (stsemiflag != 0) {							# ; 
								cmdnum[1] = cmdnum[1] + 3
								commandlength = 1
							} else {										# ; ł͂Ȃ̏(G[)
								error_disp(7,linecolumn,line,linebuf_org)
								commandlength = error_break(linebuf[line]);cmdnest = 0
							}
						} else if (cmdnum[1] == 2) {						# R}hQ̏(INPUT#)
							if (stminusflag != 0) {							# - 
								cmdnum[1] ++
								commandlength = 1
							} else {										# - ł͂Ȃ̏(G[)
								error_disp(7,linecolumn,line,linebuf_org)
								commandlength = error_break(linebuf[line]);cmdnest = 0
							}
						} else if (cmdnum[1] == 3) {						# R}hR̏(INPUT#)
							if (stendflag == 0) {							# : ł͂Ȃ̏
								cmdnest = 2
								cmdnum[2] = 1
								cmd[2] = "Zql"
							} else {										# : ̎̏(G[)
								error_disp(8,linecolumn,line,linebuf_org)
								commandlength = error_break(linebuf[line]);cmdnest = 0
							}
						} else if (cmdnum[1] == 4) {						# R}hQ̏(INPUT#)
							if (stcommaflag != 0) {							# , 
								cmdnum[1] ++
								commandlength = 1
							} else {										# , ł͂Ȃ̏(G[)
								error_disp(12,linecolumn,line,linebuf_org)
								commandlength = error_break(linebuf[line]);cmdnest = 0
							}
						} else if (cmdnum[1]/2 != int(cmdnum[1]/2)) {		# R}hTAVAc̏
							if (stendflag == 0) {							# : ł͂Ȃ̏
								if (match(linebuf[line],/^[A-Z][A-Z0-9]*\$/) != 0) {
																			# ϐ̏
									commandlength = RLENGTH
									resstart = resmatch(linebuf[line])
									if (resstart != 0) {					# ɑ̃R}h鎞̏
										if (commandlength > resstart - 1) {
											commandlength = resstart - 1
										}
									}
									if (commandlength == 0) {				# 擪R}h鏈(G[)
										error_disp(5,linecolumn,line,linebuf_org)
										commandlength = error_break(linebuf[line]);cmdnest = 0
									} else {
										cmdnest = 2
										cmdnum[2] = 1
										cmd[2] = "ϐ"
										valcnt = valsub(substr(linebuf[line],1,commandlength),valcnt,valreg,valregcnt)
										if (commandlength > 3) {			# ϐRȏ̏
											error_disp(15,linecolumn,line,linebuf_org)
										}
									}
								} else if (match(linebuf[line],/^[A-Z][A-Z0-9]*/) != 0) {
																			# lϐ̏
									commandlength = RLENGTH
									resstart = resmatch(linebuf[line])
									if (resstart != 0) {					# ɑ̃R}h鎞̏
										if (commandlength > resstart - 1) {
											commandlength = resstart - 1
										}
									}
									if (commandlength == 0) {				# 擪R}h鏈(G[)
										error_disp(5,linecolumn,line,linebuf_org)
										commandlength = error_break(linebuf[line]);cmdnest = 0
									} else {
										cmdnest = 2
										cmdnum[2] = 1
										cmd[2] = "ϐ"
										valcnt = valsub(substr(linebuf[line],1,commandlength),valcnt,valreg,valregcnt)
										if (commandlength > 2) {			# ϐRȏ̏
											error_disp(15,linecolumn,line,linebuf_org)
										}
									}
								} else {									# lϐ/ϐȊȌꍇ
									error_disp(7,linecolumn,line,linebuf_org)
									commandlength = error_break(linebuf[line]);cmdnest = 0
								}
							} else {										# : ̎̏(G[)
								error_disp(8,linecolumn,line,linebuf_org)
								commandlength = error_break(linebuf[line]);cmdnest = 0
							}
						} else {											# R}hUAWc̏
							if (stendflag != 0) {							# : ̎̏
								cmdnest = 0
							} else if (stcommaflag == 0) {					# , ł͂Ȃ̏(G[)
								error_disp(12,linecolumn,line,linebuf_org)
								commandlength = error_break(linebuf[line]);cmdnest = 0
							} else {										# , ̎̏
								cmdnum[1] ++
								commandlength = 1
							}
						}

					} else if (cmd[1] == "PRINT" || cmd[1] == "LPRINT") {
# R}h [l/][,;l/]c
# R}h # - l,[l/][,;l/]c
						if (cmdnum[1] == 1) {								# R}hP̏
							if (stsharpflag != 0 && cmd[1] == "PRINT") {	# # ̎̏
								cmdnum[1] ++
								commandlength = 1
							} else if (stendflag == 0) {					# : ł͂Ȃ̏
								cmdnum[1] = cmdnum[1] + 4
							} else {										# : ̎̏(R}hP)
								cmdnest = 0
							}
						} else if (cmdnum[1] == 2) {						# R}hQ̏
							if (stminusflag != 0) {							# - 
								cmdnum[1] ++
								commandlength = 1
							} else {										# - ł͂Ȃ̏(G[)
								error_disp(7,linecolumn,line,linebuf_org)
								commandlength = error_break(linebuf[line]);cmdnest = 0
							}
						} else if (cmdnum[1] == 3) {						# R}hR̏
							if (stendflag == 0) {							# : ł͂Ȃ̏
								cmdnest = 2
								cmdnum[2] = 1
								cmd[2] = "Zql"
							} else {										# : ̎̏(G[)
								error_disp(7,linecolumn,line,linebuf_org)
								commandlength = error_break(linebuf[line]);cmdnest = 0
							}
						} else if (cmdnum[1] == 4) {						# R}hS̏
							if (stcommaflag != 0) {							# , 
								cmdnum[1] ++
								commandlength = 1
							} else {										# , ł͂Ȃ̏(G[)
								error_disp(7,linecolumn,line,linebuf_org)
								commandlength = error_break(linebuf[line]);cmdnest = 0
							}
						} else if (cmdnum[1]/2 != int(cmdnum[1]/2)) {		# R}hTAVAc̏
							if (stcommaflag != 0 || stsemiflag != 0) {		# , ; ̎̏
								cmdnum[1] = cmdnum[1] + 2
								commandlength = 1
							} else if (stendflag == 0) {					# : ł͂Ȃ̏
								cmdnest = 2
								cmdnum[2] = 1
								cmd[2] = isvalue(linebuf[line])
								if (cmd[2] == "") {
									cmd[2] = "PRINT"
								}
								if (cmd[2] == "G[") {
									error_disp(7,linecolumn,line,linebuf_org)
									commandlength = error_break(linebuf[line]);cmdnest = 0
								}
							} else {										# : ̎̏(R}hP)
								cmdnest = 0
							}
						} else {											# R}hUAWAc̏
							if (stendflag != 0) {							# : ̎̏
								cmdnest = 0
							} else if (stcommaflag != 0 || stsemiflag != 0) {
																			# , ; ̎̏
								cmdnum[1] ++
								commandlength = 1
							} else {										# , ; ȊO̎̏
								cmdnum[1] ++
								commandlength = 0
							}
						}

					} else {
						error_disp(99,linecolumn,line,linebuf_org)
					}

				} else {

					if (cmd[cmdnest] == "萔") {
						if (match(linebuf[line],/^"/) != 0) {				# ̏
							if (match(linebuf[line],/^"[^"]*"/) != 0) {		#  " ܂ł萔Ƃ݂Ȃ
								commandlength = RLENGTH
							} else {
								commandlength = length(linebuf[line])
							}
						} else {											# ȊȌ
							if (match(linebuf[line],/[,:]/) != 0) {			# , : ܂ł萔Ƃ݂Ȃ
								commandlength = RSTART - 1
							} else {
								commandlength = length(linebuf[line])
							}
						}
						cmdnest --
						cmdnum[cmdnest] ++

					} else if (cmd[cmdnest] == "sԍ") {
						if (match(linebuf[line],/^[0-9]+/) == 0) {			# sԍ͐̂
							commandlength = 0
						} else {
							commandlength = RLENGTH
						}
						cmdnest --
						cmdnum[cmdnest] ++
						tmplineno = substr(linebuf[line],1,RLENGTH)
						if (RSTART == 0) {									# sԍȂ̏(G[)
							error_disp(3,linecolumn,line,linebuf_org)
							commandlength = error_break(linebuf[line]);cmdnest = 0
						} else if (match(tmplineno,/^00/) != 0) {			# sԍ̐擪 00 ̎̏(G[)
							error_disp(3,linecolumn,line,linebuf_org)
							commandlength = error_break(linebuf[line]);cmdnest = 0
						} else {											# sԍ̏
							nfflag = 0
							for (nfi = 1;nfi <= linenumcnt;nfi ++) {
								if (linenumreg[nfi] == tmplineno) {
									nfflag = 1
								}
							}
							if (nfflag == 0) {								# sԍXgɂȂ̏(G[)
								error_disp(2,linecolumn,line,linebuf_org)
							}
						}

					} else if (cmd[cmdnest] == "" || cmd[cmdnest] == "PRINT") {
						if (cmdnum[cmdnest]/2 != int(cmdnum[cmdnest]/2)) {	# 
							if (stendflag != 0 || stcommaflag != 0 || stcloseflag != 0 || stsemiflag != 0) {
																			# : , ; ) ̏(I̔F)
								error_disp(8,linecolumn,line,linebuf_org)
								commandlength = error_break(linebuf[line]);cmdnest = 0
							} else if (stopenflag != 0) {					# ( ̏
								commandlength = 1
								cmdnest ++
								cmdnum[cmdnest] = 1
								if (cmd[cmdnest-1] == "PRINT") {
									cmd[cmdnest] = "ʕPRINT"
								} else {
									cmd[cmdnest] = "ʕ"
								}
							} else if (stdblflag != 0) {					# ̏
								if (match(linebuf[line],/^"[^"]*"/) != 0) {
									commandlength = RLENGTH
								} else {
									commandlength = length(linebuf[line])
								}
								cmdnum[cmdnest] ++
							} else if (stringfunc(linebuf[line],rval) != "") {
																			# ֐̏
								commandlength = length(rval[1])
								cmdnest ++
								cmdnum[cmdnest] = 1
								cmd[cmdnest] = "֐" rval[2]
							} else if (match(linebuf[line],/^[A-Z][A-Z0-9]*\$/) != 0) {
																			# ϐ̏
								commandlength = RLENGTH
								resstart = resmatch(linebuf[line])
								if (resstart != 0) {						# ɑ̃R}h鎞̏
									if (commandlength > resstart - 1) {
										commandlength = resstart - 1
									}
								}
								if (commandlength == 0) {					# 擪TO/c ̏(G[)
									error_disp(5,linecolumn,line,linebuf_org)
									commandlength = error_break(linebuf[line]);cmdnest = 0
								} else {
									cmdnest ++
									cmdnum[cmdnest] = 1
									cmd[cmdnest] = "ϐ"
									valcnt = valsub(substr(linebuf[line],1,commandlength),valcnt,valreg,valregcnt)
									if (commandlength > 3) {				# ϐRȏ̏
										error_disp(15,linecolumn,line,linebuf_org)
									}
								}
							} else {										# ȊO̗vfƔF
								error_disp(11,linecolumn,line,linebuf_org)
								commandlength = error_break(linebuf[line]);cmdnest = 0
							}
						} else {											# ȊO
							if ((tmp_cmd = strcalc(linebuf[line])) != "") {	# Zq̏
								commandlength = length(tmp_cmd)
								cmdnum[cmdnest] ++
							} else if (cmd[cmdnest] == "PRINT" && (tmp_cmd = strcmpcalc(linebuf[line])) != "") {
																			# rZq̏
								commandlength = 0
								cmdnum[cmdnest] --
								cmd[cmdnest] = "l"
								cmdnest ++
								cmdnum[cmdnest] = 2
								cmd[cmdnest] = "lr"
							} else {										# I̔F
								commandlength = 0
								cmdnest --
								cmdnum[cmdnest] ++
							}
						}

					} else if (cmd[cmdnest] == "l" || cmd[cmdnest] == "Zql") {
						if (cmdnum[cmdnest]/2 != int(cmdnum[cmdnest]/2)) {	# lҁB
							if (stendflag != 0 || stcommaflag != 0 || stcloseflag != 0 || stsemiflag != 0) {
																			# : , ; ) ̏(lI̔F)
								error_disp(8,linecolumn,line,linebuf_org)
								commandlength = error_break(linebuf[line]);cmdnest = 0
							} else if (stopenflag != 0) {					# ( ̏
								commandlength = 1
								cmdnest ++
								cmdnum[cmdnest] = 1
								cmd[cmdnest] = "ʐl"
							} else if (cmd[cmdnest] != "Zql" && isvalue(linebuf[line]) == "") {
																			# rZq̏
								cmdnest ++
								cmdnum[cmdnest] = 1
								cmd[cmdnest] = "lr"
							} else if (match(linebuf[line],/^[0-9.]+/) != 0) {
																			# l̏(10i)
								commandlength = RLENGTH
								cmdnum[cmdnest] ++
								if (match(substr(linebuf[line],1,commandlength),/^[^.]*[.][^.]*[.]/) != 0) {
																			# _Qȏ̎̏(G[)
									error_disp(10,linecolumn+RLENGTH-1,line,linebuf_org)
									commandlength = error_break(linebuf[line]);cmdnest = 0
								} else if (match(linebuf[line],/^00/) != 0) {
																			# 0 擪ɂQȏԎ̏(G[)
									error_disp(10,linecolumn,line,linebuf_org)
									commandlength = error_break(linebuf[line]);cmdnest = 0
								} else if (match(linebuf[line],/^[0-9.]*[.][^0-9]/) != 0) {
																			#  . ̏(G[)
									error_disp(10,linecolumn+RLENGTH-2,line,linebuf_org)
									commandlength = error_break(linebuf[line]);cmdnest = 0
								}
							} else if (match(linebuf[line],/^&[hH][0-9A-Fa-f]+/) != 0) {
																			# l̏(16i)
								commandlength = RLENGTH
								if (match(linebuf[line],/^&[hH][0-9A-Fa-f]+AND/) != 0) {
									commandlength --
								}
								cmdnum[cmdnest] ++
							} else if (valuefunc(linebuf[line],rval) != "") {
																			# l֐̏
								commandlength = length(rval[1])
								cmdnest ++
								cmdnum[cmdnest] = 1
								cmd[cmdnest] = "l֐" rval[2]
							} else if (match(linebuf[line],/^FN/) != 0) {	# FNϐ̏
								commandlength = 2
								cmdnest ++
								cmdnum[cmdnest] = 1
								cmd[cmdnest] = "l֐FNϐ"
							} else if ((tmp_cmd = valuesinglecalc(linebuf[line])) != "") {
																			# PZq̏
								commandlength = length(tmp_cmd)
							} else if (match(linebuf[line],/^[A-Z][A-Z0-9]*/) != 0) {
																			# lϐ̏
								commandlength = RLENGTH
								resstart = resmatch(linebuf[line])
								if (resstart != 0) {						# ɑ̃R}h鎞̏
									if (commandlength > resstart - 1) {
										commandlength = resstart - 1
									}
								}
								if (commandlength == 0) {					# 擪TO/c ̏(G[)
									error_disp(5,linecolumn,line,linebuf_org)
									commandlength = error_break(linebuf[line]);cmdnest = 0
								} else {
									cmdnest ++
									cmdnum[cmdnest] = 1
									cmd[cmdnest] = "ϐ"
									valcnt = valsub(substr(linebuf[line],1,commandlength),valcnt,valreg,valregcnt)
									if (commandlength > 2) {				# ϐRȏ̏
										error_disp(15,linecolumn,line,linebuf_org)
									}
								}
							} else {										# lȊO̗vfƔF
								error_disp(10,linecolumn,line,linebuf_org)
								commandlength = error_break(linebuf[line]);cmdnest = 0
							}
						} else {											# lȊO
							if ((tmp_cmd = valuecalc(linebuf[line])) != "") {
																			# lZq̏
								commandlength = length(tmp_cmd)
								cmdnum[cmdnest] ++
								if (valuecmdcalc(linebuf[line]) != "") {
									cmd[cmdnest] = "l"
								} else {
									cmd[cmdnest] = "Zql"
								}
							} else {										# lI̔F
								commandlength = 0
								cmdnest --
								cmdnum[cmdnest] ++
							}
						}

					} else if (cmd[cmdnest] == "ʐl" || cmd[cmdnest] == "ʕ" || cmd[cmdnest] == "ʕPRINT") {
# ʂ̏
						if (cmdnum[cmdnest] == 1) {
							if (stendflag != 0 || stcommaflag != 0 || stsemiflag != 0) {
																			# : , ; ̏(lAI̔F)
								error_disp(14,linecolumn,line,linebuf_org)
								commandlength = error_break(linebuf[line]);cmdnest = 0
							} else if (stcloseflag != 0) {					# ) ʂ̏
								error_disp(10,linecolumn,line,linebuf_org)
								commandlength = error_break(linebuf[line]);cmdnest = 0
							} else {
								commandlength = 0
								if (cmd[cmdnest] == "ʐl") {
									cmd[cmdnest+1] = "l"
								} else if (cmd[cmdnest] == "ʕPRINT") {
									cmd[cmdnest+1] = "PRINT"
								} else {
									cmd[cmdnest+1] = ""
								}
								cmdnest ++
								cmdnum[cmdnest] = 1
							}
						} else if (cmdnum[cmdnest] == 2) {
							if (stendflag != 0 || stcommaflag != 0 || stsemiflag != 0) {
																			# : , ; ̏(lAI̔F)
								error_disp(14,linecolumn,line,linebuf_org)
								commandlength = error_break(linebuf[line]);cmdnest = 0
							} else if (stcloseflag != 0) {					# ) ʂ̏
								commandlength = 1
								cmdnest --
								cmdnum[cmdnest] ++
							} else {
								error_disp(14,linecolumn,line,linebuf_org)
								commandlength = error_break(linebuf[line]);cmdnest = 0
							}
						} else {
							error_disp(13,linecolumn,line,linebuf_org)
							commandlength = error_break(linebuf[line]);cmdnest = 0
						}
					} else if (cmd[cmdnest] == "lr") {
# l̕r
						if (cmdnum[cmdnest] == 1 || cmdnum[cmdnest] == 3) {	# 
							if (stendflag != 0 || stcommaflag != 0 || stcloseflag != 0 || stsemiflag != 0) {
																			# : , ; ) ̏(rI̔F)
								error_disp(8,linecolumn,line,linebuf_org)
								commandlength = error_break(linebuf[line]);cmdnest = 0
							} else {
								cmdnest ++
								cmdnum[cmdnest] = 1
								cmd[cmdnest] = ""
							}
						} else if (cmdnum[cmdnest] == 2) {					# rZq
							if (stendflag != 0 || stcommaflag != 0 || stcloseflag != 0 || stsemiflag != 0) {
																			# : , ; ) ̏(rI̔F)
								error_disp(8,linecolumn,line,linebuf_org)
								commandlength = error_break(linebuf[line]);cmdnest = 0
							} else if ((tmp_cmd = strcmpcalc(linebuf[line])) != "") { 
								cmdnum[cmdnest] ++
								commandlength = length(tmp_cmd)
							} else {
								error_disp(9,linecolumn,line,linebuf_org)
								commandlength = error_break(linebuf[line]);cmdnest = 0
							}
						} else {
							cmdnest --
							cmdnum[cmdnest] ++
							commandlength = 0
						}

					} else if (cmd[cmdnest] == "l֐") {
# l֐
						commandlength = 0
						cmdnest --
						cmdnum[cmdnest] ++

					} else if (cmd[cmdnest] == "l֐FNϐ") {
# FN ϐ(l[,l]c)
						if (cmdnum[cmdnest] == 1) {							# R}hP̏
							if (stendflag == 0) {							# : ł͂Ȃ̏
								if (match(linebuf[line],/^[A-Z][A-Z0-9]*/) != 0) {
																			# lϐ̏
									commandlength = RLENGTH
									resstart = resmatch(linebuf[line])
									if (resstart != 0) {					# ɑ̃R}h鎞̏
										if (commandlength > resstart - 1) {
											commandlength = resstart - 1
										}
									}
									if (commandlength == 0) {				# 擪R}h鏈(G[)
										error_disp(5,linecolumn,line,linebuf_org)
										commandlength = error_break(linebuf[line]);cmdnest = 0
									} else {
										cmdnest ++
										cmdnum[cmdnest] = 1
										cmd[cmdnest] = "FNďo"
										valcnt = valsub(substr(linebuf[line],1,commandlength),valcnt,valreg,valregcnt)
										if (commandlength > 2) {			# ϐRȏ̏
											error_disp(15,linecolumn,line,linebuf_org)
										}
									}
								} else {									# lϐ/ϐȊȌꍇ
									error_disp(7,linecolumn,line,linebuf_org)
									commandlength = error_break(linebuf[line]);cmdnest = 0
								}
							} else {										# : ̎̏(G[)
								error_disp(8,linecolumn,line,linebuf_org)
								commandlength = error_break(linebuf[line]);cmdnest = 0
							}
						} else {											# R}hQȏ̏
							cmdnest --
							cmdnum[cmdnest] ++
							commandlength = 0
						}

					} else if (cmd[cmdnest] == "l֐l") {
# l֐ (l)
						if (cmdnum[cmdnest] == 1) {							# R}hP̏
							if (stopenflag == 0) {							# ( 
								error_disp(14,linecolumn,line,linebuf_org)
								commandlength = error_break(linebuf[line]);cmdnest = 0
							} else {
								cmdnum[cmdnest] ++
								commandlength = 1
							}
						} else if (cmdnum[cmdnest] == 2) {					# R}hQ̏
							cmdnest ++
							cmdnum[cmdnest] = 1
							cmd[cmdnest] = "l"
						} else if (cmdnum[cmdnest] == 3) {					# R}hR̏
							if (stcloseflag == 0) {							# ) 
								error_disp(14,linecolumn,line,linebuf_org)
								commandlength = error_break(linebuf[line]);cmdnest = 0
							} else {
								cmdnest --
								cmdnum[cmdnest] ++
								commandlength = 1
							}
						} else {											# R}hSȏ̏
							error_disp(13,linecolumn,line,linebuf_org)
							commandlength = error_break(linebuf[line]);cmdnest = 0
						}

					} else if (cmd[cmdnest] == "l֐ll") {
# l֐ (l,l)
						if (cmdnum[cmdnest] == 1) {							# R}hP̏
							if (stopenflag == 0) {							# ( 
								error_disp(14,linecolumn,line,linebuf_org)
								commandlength = error_break(linebuf[line]);cmdnest = 0
							} else {
								cmdnum[cmdnest] ++
								commandlength = 1
							}
						} else if (cmdnum[cmdnest] == 2 || cmdnum[cmdnest] == 4) {
																			# R}hQAS̏
							cmdnest ++
							cmdnum[cmdnest] = 1
							cmd[cmdnest] = "l"
						} else if (cmdnum[cmdnest] == 3) {					# R}hR̏
							if (stcommaflag == 0) {							# , 
								error_disp(12,linecolumn,line,linebuf_org)
								commandlength = error_break(linebuf[line]);cmdnest = 0
							} else {
								cmdnum[cmdnest] ++
								commandlength = 1
							}
						} else if (cmdnum[cmdnest] == 5) {					# R}hT̏
							if (stcloseflag == 0) {							# ) 
								error_disp(14,linecolumn,line,linebuf_org)
								commandlength = error_break(linebuf[line]);cmdnest = 0
							} else {
								cmdnest --
								cmdnum[cmdnest] ++
								commandlength = 1
							}
						} else {											# R}hUȏ̏
							error_disp(13,linecolumn,line,linebuf_org)
							commandlength = error_break(linebuf[line]);cmdnest = 0
						}

					} else if (cmd[cmdnest] == "l֐") {
# l֐ ()
						if (cmdnum[cmdnest] == 1) {							# R}hP̏
							if (stopenflag == 0) {							# ( 
								error_disp(14,linecolumn,line,linebuf_org)
								commandlength = error_break(linebuf[line]);cmdnest = 0
							} else {
								cmdnum[cmdnest] ++
								commandlength = 1
							}
						} else if (cmdnum[cmdnest] == 2) {					# R}hQ̏
							cmdnest ++
							cmdnum[cmdnest] = 1
							cmd[cmdnest] = ""
						} else if (cmdnum[cmdnest] == 3) {					# R}hR̏
							if (stcloseflag == 0) {							# ) 
								error_disp(14,linecolumn,line,linebuf_org)
								commandlength = error_break(linebuf[line]);cmdnest = 0
							} else {
								cmdnest --
								cmdnum[cmdnest] ++
								commandlength = 1
							}
						} else {											# R}hSȏ̏
							error_disp(13,linecolumn,line,linebuf_org)
							commandlength = error_break(linebuf[line]);cmdnest = 0
						}

					} else if (cmd[cmdnest] == "֐") {
# ֐
						commandlength = 0
						cmdnest --
						cmdnum[cmdnest] ++

					} else if (cmd[cmdnest] == "֐l") {
# ֐ (l)
						if (cmdnum[cmdnest] == 1) {							# R}hP̏
							if (stopenflag == 0) {							# ( 
								error_disp(14,linecolumn,line,linebuf_org)
								commandlength = error_break(linebuf[line]);cmdnest = 0
							} else {
								cmdnum[cmdnest] ++
								commandlength = 1
							}
						} else if (cmdnum[cmdnest] == 2) {					# R}hQ̏
							cmdnest ++
							cmdnum[cmdnest] = 1
							cmd[cmdnest] = "l"
						} else if (cmdnum[cmdnest] == 3) {					# R}hR̏
							if (stcloseflag == 0) {							# ) 
								error_disp(14,linecolumn,line,linebuf_org)
								commandlength = error_break(linebuf[line]);cmdnest = 0
							} else {
								cmdnest --
								cmdnum[cmdnest] ++
								commandlength = 1
							}
						} else {											# R}hSȏ̏
							error_disp(13,linecolumn,line,linebuf_org)
							commandlength = error_break(linebuf[line]);cmdnest = 0
						}

					} else if (cmd[cmdnest] == "֐l") {
# ֐ (,l)
						if (cmdnum[cmdnest] == 1) {							# R}hP̏
							if (stopenflag == 0) {							# ( 
								error_disp(14,linecolumn,line,linebuf_org)
								commandlength = error_break(linebuf[line]);cmdnest = 0
							} else {
								cmdnum[cmdnest] ++
								commandlength = 1
							}
						} else if (cmdnum[cmdnest] == 2) {					# R}hQ̏
							cmdnest ++
							cmdnum[cmdnest] = 1
							cmd[cmdnest] = ""
						} else if (cmdnum[cmdnest] == 3) {					# R}hR̏
							if (stcommaflag == 0) {							# , 
								error_disp(12,linecolumn,line,linebuf_org)
								commandlength = error_break(linebuf[line]);cmdnest = 0
							} else {
								cmdnum[cmdnest] ++
								commandlength = 1
							}
						} else if (cmdnum[cmdnest] == 4) {					# R}hS̏
							cmdnest ++
							cmdnum[cmdnest] = 1
							cmd[cmdnest] = "l"
						} else if (cmdnum[cmdnest] == 5) {					# R}hT̏
							if (stcloseflag == 0) {							# ) 
								error_disp(14,linecolumn,line,linebuf_org)
								commandlength = error_break(linebuf[line]);cmdnest = 0
							} else {
								cmdnest --
								cmdnum[cmdnest] ++
								commandlength = 1
							}
						} else {											# R}hUȏ̏
							error_disp(13,linecolumn,line,linebuf_org)
							commandlength = error_break(linebuf[line]);cmdnest = 0
						}

					} else if (cmd[cmdnest] == "֐ll") {
# ֐ (,l,l)
						if (cmdnum[cmdnest] == 1) {							# R}hP̏
							if (stopenflag == 0) {							# ( 
								error_disp(14,linecolumn,line,linebuf_org)
								commandlength = error_break(linebuf[line]);cmdnest = 0
							} else {
								cmdnum[cmdnest] ++
								commandlength = 1
							}
						} else if (cmdnum[cmdnest] == 2) {					# R}hQ̏
							cmdnest ++
							cmdnum[cmdnest] = 1
							cmd[cmdnest] = ""
						} else if (cmdnum[cmdnest] == 3 || cmdnum[cmdnest] == 5) {
																			# R}hRAT̏
							if (stcommaflag == 0) {							# , 
								error_disp(12,linecolumn,line,linebuf_org)
								commandlength = error_break(linebuf[line]);cmdnest = 0
							} else {
								cmdnum[cmdnest] ++
								commandlength = 1
							}
						} else if (cmdnum[cmdnest] == 4 || cmdnum[cmdnest] == 6) {
																			# R}hSAU̏
							cmdnest ++
							cmdnum[cmdnest] = 1
							cmd[cmdnest] = "l"
						} else if (cmdnum[cmdnest] == 7) {					# R}hV̏
							if (stcloseflag == 0) {							# ) 
								error_disp(14,linecolumn,line,linebuf_org)
								commandlength = error_break(linebuf[line]);cmdnest = 0
							} else {
								cmdnest --
								cmdnum[cmdnest] ++
								commandlength = 1
							}
						} else {											# R}hWȏ̏
							error_disp(13,linecolumn,line,linebuf_org)
							commandlength = error_break(linebuf[line]);cmdnest = 0
						}

					} else if (cmd[cmdnest] == "ϐ") {
# ϐ [ (l[,l]c) ]
						if (cmdnum[cmdnest] == 1) {							# R}hP̏
							if (stopenflag == 0) {							# ( ł͂Ȃꍇ
								cmdnest --
								cmdnum[cmdnest] ++
								commandlength = 0
							} else {										# ( ̏ꍇ
								cmdnum[cmdnest] ++
								commandlength = 1
							}
						} else if (cmdnum[cmdnest]/2 == int(cmdnum[cmdnest]/2)) {
																			# R}hQASAc̏
							cmdnest ++
							cmdnum[cmdnest] = 1
							cmd[cmdnest] = "l"
						} else {											# R}hRATAc̏
							if (stcommaflag != 0) {							# , ̏ꍇ
								cmdnum[cmdnest] ++
								commandlength = 1
							} else if (stcloseflag != 0) {					# ) ̏ꍇ
								cmdnest --
								cmdnum[cmdnest] ++
								commandlength = 1
							} else {										# , ) ł͂Ȃꍇ
								error_disp(12,linecolumn,line,linebuf_org)
								commandlength = error_break(linebuf[line]);cmdnest = 0
							}
						}

					} else if (cmd[cmdnest] == "FNϐ" || cmd[cmdnest] == "FNďo") {
# ϐ [ (l[,l]c) ] (lȊO)
						if (cmdnum[cmdnest] == 1) {							# R}hP̏
							if (stopenflag == 0) {							# ( ł͂Ȃꍇ
								error_disp(14,linecolumn,line,linebuf_org)
								commandlength = error_break(linebuf[line]);cmdnest = 0
							} else {										# ( ̏ꍇ(zϐ)
								cmdnum[cmdnest] ++
								commandlength = 1
							}
						} else if (cmdnum[cmdnest]/2 == int(cmdnum[cmdnest]/2)) {
																			# R}hQASAc̏
							if (cmd[cmdnest] == "FNϐ") {					# DEF FNϐ()`
								if (match(linebuf[line],/^[A-Z][A-Z0-9]*/) != 0) {
																			# lϐ̏
									commandlength = RLENGTH
									resstart = resmatch(linebuf[line])
									if (resstart != 0) {					# ɑ̃R}h鎞̏
										if (commandlength > resstart - 1) {
											commandlength = resstart - 1
										}
									}
									if (commandlength == 0) {				# 擪R}h鎞(G[)
										error_disp(5,linecolumn,line,linebuf_org)
										commandlength = error_break(linebuf[line]);cmdnest = 0
									} else {
										cmdnest ++
										cmdnum[cmdnest] = 1
										cmd[cmdnest] = "ϐ"
										valcnt = valsub(substr(linebuf[line],1,commandlength),valcnt,valreg,valregcnt)
										if (commandlength > 2) {			# ϐRȏ̏
											error_disp(15,linecolumn,line,linebuf_org)
										}
									}
								} else {									# lϐȊȌ(G[)
									error_disp(7,linecolumn,line,linebuf_org)
									commandlength = error_break(linebuf[line]);cmdnest = 0
								}
							} else {										# FNϐ()gp
								commandlength = 0
								cmdnest ++
								cmdnum[cmdnest] = 1
								cmd[cmdnest] = "l"
							}

						} else {											# R}hRATAc̏
							if (stcommaflag != 0) {							# , ̏ꍇ
								cmdnum[cmdnest] ++
								commandlength = 1
							} else if (stcloseflag != 0) {					# ) ̏ꍇ
								cmdnest --
								cmdnum[cmdnest] ++
								commandlength = 1
							} else {										# , ) ł͂Ȃꍇ
								error_disp(7,linecolumn,line,linebuf_org)
								commandlength = error_break(linebuf[line]);cmdnest = 0
							}
						}

					} else {
						error_disp(99,linecolumn,line,linebuf_org)
						commandlength = error_break(linebuf[line]);cmdnest = 0
					}

				}

			}
			linebuf[line] = substr(linebuf[line],commandlength + 1)
			linecolumn    = linecolumn + commandlength
		}

	}

	for (i = 2;i <= valcnt;i ++) {
		for (j = i;valreg[j-1] > valreg[j];j --) {
			tmpval         = valreg[j]
			tmpvalcnt      = valregcnt[j]
			valreg[j]      = valreg[j-1]
			valregcnt[j]   = valregcnt[j-1]
			valreg[j-1]    = tmpval
			valregcnt[j-1] = tmpvalcnt
		}
	}
	for (i = 1;i <= valcnt;i ++) {
		print valreg[i],valregcnt[i]
	}

#	print ""
#	print linenumcnt
#	for (i = 1;i <= linenumcnt;i ++) {
#		print linenumreg[i]
#	}

}
